/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',15,'childNodes||!',15,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,2,'={version:"3.3c",document:document,',1,':',1,',sizes:[50,60,70,85,100,120,144,173,207,249],styles:{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',37,'","div','.typeset":"text-align: ','center; margin: 1em 0px;","span',41,'left',38,' span":"text-align: left','; border',':0px; margin:0px','; padding',':0px','",".typeset .','normal',37,51,'size0','":"font-size: ','50','%",".typeset .','size1',56,'60',58,'size2',56,'70',58,'size3',56,'85',58,'size4',56,'100',58,'size5',56,'120',58,'size6',56,'144',58,'size7',56,'173',58,'size8',56,'207',58,'size9',56,'249',58,'cmr10','":"font-family: jsMath-',95,', serif',51,'cmbx10',96,100,', ','jsMath-cmr10',51,'cmti10',96,106,', ',104,51,'cmmi10',96,112,51,'cmsy10',96,116,51,'cmex10',96,120,51,'textit','":"font-family: serif; font-','style:italic',51,'textbf',125,'weight:bold',51,'link":"','text-decoration',': none',51,'error',56,'10pt; font-style: italic; "+"','background-color',': #FFFFCC',49,': 1px; "+"border: ','1px solid',' #CC0000',51,'blank":"','display:inline-block','; ','overflow:hidden',47,':0px none; width:0px; height:0px;",".typeset .','spacer','":"',147,'","#jsMath_message":"','position:fixed','; bottom:','1px; left:2px; ',139,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size',':','small; ','width:auto',';","#jsMath_panel','":"',156,157,'1.5em; right:1.5em',49,': .8em 1.6em; "+"',139,':#DDDDDD; border: outset ','2px; "+"z-index:103; ',168,169,' .disabled":"color:#888888","#jsMath_panel .infoLink','":"font-size:','85%","#','jsMath_button','":"',156,157,'1px; right:2px; ',139,':white',161,'0px 3px 1px 3px',163,':black; ',133,':none',165,':x-small; "+"',168,'; ','cursor:hand',';","#','jsMath_global":"font-',126,';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ',168,'; height:auto',205,' .drag":"',139,177,'1px; height:12px',165,': 1px',205,' .close":"',139,160,47,': inset 1px; width:8px; height:8px; margin: 1px 2px',205,' .source":"',139,':#E2E2E2',47,': outset 1px; "+"',168,210,49,': 8px 15px; "+"font-family: courier, fixed',165,': 90%","#jsMath_noFont',' .message":"text-align: center; padding: .8em 1.6em; border: 3px solid #DD0000; "+"background-color: #FFF8F8; color: #AA0000; font-size:',167,168,202,'jsMath_noFont .link":"padding: 0px 5px 2px 5px',47,': 2px outset; ',139,':#E8E8E8; "+"color:black',165,':80%; ',168,'; ',201,202,'jsMath_PrintWarning',236,'x-',167,168,';","@media print":"#',184,' {display:none','}\\n"+"#jsMath_Warning',258,'}","@media screen":"#',251,258,'}"},Element',':function(','_1){return ',6,15,16,'("jsMath_"+_1);},','BBoxFor',265,'s','){this.','hidden.innerHTML','="<nobr><span class=\\"typeset\\"><span class=\\"scale\\">"+s+"</span></span></nobr>";var _3={w:this.','hidden','.offsetWidth',',h:this.',277,'.offsetHeight','};this.',275,'="";return _3;},EmBoxFor',265,'s',8,'_5=',6,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',296,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',296,'];},','EmBoxForItalics',265,'s',8,'_8=',6,290,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',296,']){var _9',298,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',298,'(s+',6,'Browser.','italicString',').w-',6,325,'italicCorrection',';}_8',296,']={w:_9.w/this.em,h:_9',302,'_8',296,'];},Init',':function(){','if(',6,'Setup.inited','!=1){',0,6,341,'){',6,'Setup.','Body();}if(',6,341,'!=1){if(',6,341,'==-100','){return;}',23,'It looks like jsMath failed to set up properly (error code "+',6,341,'+").  "+"I will try to keep going, but it could get ugly.");',6,341,'=1;}}this.em',298,'("<span style=\\""+',6,325,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',274,'em',298,'("<img src=\\""+',6,'blank+"\\" style=\\"',370,'\\"/>").w/13;}var _a=',6,290,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',298,'("x");var hh=',386,'bb.h;',386,'d',298,'("x"+',6,'HTML.Rule(1,','hh/',6,'em)).h-hh;if(',6,325,326,'){',386,'ic=',6,271,'(',6,325,326,').w;}}',6,325,330,'=',386,'ic;var bb=',386,'bb;var h=bb.h;var d=',386,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',348,'TeXfonts','();var _f=this.','EmBoxFor("<span class','=\\"',95,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',274,348,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(this.','TeX.cmex10[','0].h+this.',438,'0].d)/0.85;',432,'=1;},ReInit',338,'var w',298,'("x").w;if(w!=this.xWidth',274,'Init();}},Loaded',338,'if(',9,8,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',9,'[_11[i]]){delete ',9,'[_11[i]];}}}if(',9,274,'Insert(jsMath,',9,');}',9,'=null;',6,7,'=1;},Add',265,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',265,473,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',479,'function")){this.Insert(dst[id],src[id]);}',29,474,'];}}},Package',265,'obj,def',274,'Insert(obj.prototype,def);}};',6,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',338,6,290,'={',492,':{}};},GoGlobal',265,'_1b',8,'url=String(',6,1,'.','location);','var c=(',6,'isCHMmode','?"#":"?");if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',6,'Controls.','Reload(',6,'root+"jsMath-','global.html"+c+escape(url));},Init',338,'if(',6,'Controls.cookie','.global=="always"&&!',6,'noGoGlobal','){','if(navigator.','accentColorName',356,0,6,1,'){',6,1,'=',1,';}',6,513,7,'=1;',6,513,'defaults.hiddenGlobal',468,'this.GoGlobal(',6,513,'SetCookie(','2));}},Register',338,'var _1e=',6,1,'.parent;',0,6,'isCHMode){',6,510,'=(',6,1,'.','location.protocol','=="mk:");}try{',0,6,510,274,'Domain();}if(_1e',2,'&&_1e.',6,'isGlobal){_1e.',6,'Register(',6,1,');}}','catch(err','){',6,524,'=1;}},Domain',338,'if(navigator.appName=="Microsoft Internet Explorer"&&navigator.platform=="MacPPC"&&navigator.','userProfile','!=null',356,'if(',1,'==parent',356,'var _1f=',6,15,'domain;try{while(true){try{if(parent.',15,'title!=null','){return;}}',581,'){}',0,15,'domain.match(/\\..*\\./)){break;}',6,15,'domain=',6,15,'domain.replace(/^[^.]*\\./,"");}}',581,'){}',6,15,609,'_1f;}};',6,'Script={request:null,Init',338,'if(!(',6,521,'.asynch&&',6,521,'.progress',')){if(',1,'.XMLHttpRequest){try{','this.request','=new XMLHttpRequest;}',581,'){}}',0,632,'&&',1,'.','ActiveXObject',8,'xml=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',644,'.3',644,'","Microsoft.XMLHTTP"];',455,'xml.length&&!',632,';i++){try{',632,'=new ',641,'(xml[i]);}',581,'){}}}}',0,632,'||',6,348,'domainChanged',274,'Load=this.delayedLoad;this.needsBody=1;}},Load',265,'url,_23){if(_23){',6,'Message.Set("Loading "+url);',6,'Script.','Delay(1);',6,'Script.Push(','this,"xmlRequest",url',');',6,676,6,'Message',',"Clear");}',29,6,676,677,');}},xmlRequest',265,'url){','this.blocking','=1;try{',632,'.open("GET",url,false);',632,'.send(null);}',581,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',682,': "+err.message;}if(',632,'.status','&&',632,702,'>=400',698,'Error status: "+',632,702,';}',0,'url.match(/\\.js$/)){','return (',632,'.responseText',');}var _25=','this.queue',';',718,'=[];',6,1,'.eval(',632,716,');',691,'=0;','this.queue=this.queue.concat(','_25);this.Process();return "";},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',265,'_26,_27){','if(typeof (','_26)!="string"){',6,676,'null,_26,_27);}',29,6,676,6,1,',"eval",_26);}},Push',265,'_28,_29,_2a){',718,'[',718,'.length]=[_28,_29,_2a];if(!(',691,'||(this.needsBody&&!',6,15,'body))){this.Process();}},Process',338,'while(',718,'.length&&!',691,8,'_2b=',718,'[0];var _2c=',718,'.slice(1);',718,'=[];var _2d=_2b[0];var _2e=_2b[1];var _2f=_2b[2];if(_2d){_2d[_2e](_2f);}',29,'if(_2e){_2e(_2f);}}',730,'_2c);}},delayedLoad',265,'url',274,'Push(this,"startLoad",url);},startLoad',265,'url){','this.iframe','=',6,15,21,'("iframe");','this.iframe.style.','visibility="',277,'";',785,'position="absolute";',785,'width="0px";',785,'height="0px";if(',6,15,'body.firstChild','){',6,15,'body.insertBefore(',779,',',6,15,797,');}',29,6,15,'body','.appendChild(',779,');}',691,'=1;this.','url=url;',0,713,779,'.src=url;}',29,779,'.src=',6,516,'loader.html";}if(url.substr(0,',6,'root.length',')==',6,'root){url=url.substr(',6,829,');}',6,671,'this.cancelTimer','=setTimeout("',6,673,'cancelLoad','()",this.cancelTimeout);},endLoad',265,'_32){if(',838,'){clearTimeout(',838,');',838,'=null;}',6,682,'.Clear();if(_32!="cancel"){',691,'=0;this.Process','();}},Start',338,'this.tmpQueue','=',718,';',718,'=[];},End',338,730,859,');delete ',859,';},',842,338,838,468,6,682,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',265,'_33){',691,'=1;setTimeout("',6,673,'endDelay','()",_33);},',884,338,691,856,'();},','imageCount',':0,WaitForImage',265,'_34){',691,816,891,'++;if(this.img==null',274,'img=[];}var img=new Image',436,'img[this.img.length]=img;img.onload=function(){if(--',6,673,891,'==0){',6,673,884,'();}};img.onerror','=img.onload;img.','onabort',911,'src=_34;},Uncompress',265,'_36){','for(var k=0;k<','_36.length;k++){var d=_36[k];var n=d.length;',455,'n;i++){',734,'d[i])=="number"){d[i]=d[d[i]];}}_36[k]=d.join("");}',1,724,'_36.join(""));}};',6,682,'={blank:null,message:null,text:null,clear:null,Init',338,0,6,15,'body||!',6,521,628,356,'if(',6,348,'stylesReady){','this.message','=',6,'Setup.DIV("message",{visibility:"hidden','"});}',29,942,'=',6,945,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',6,15,'createTextNode','("");',942,812,956,');',942,'.onmousedown=',6,'Translate.Cancel;},Set',265,'_3b,_3c){','if(this.clear){clearTimeout(this.clear',');','this.clear',851,'if(',6,521,628,'){',0,956,274,'Init();',0,956,601,'if(',6,325,'textNodeBug','){',942,'.innerHTML','=_3b;}',29,956,'.nodeValue',995,942,'.style.visibility="','visible";if(_3c){',942,'.style.cursor','="pointer";',0,942,1004,'){',942,1004,'="hand";}',942,'.title=" Cancel Processing of Math ";}',29,942,1004,'="";',942,'.title="";}}',29,'if(_3b.substr(0,8)!="Loading "){',6,1,702,'=_3b;}}},Clear',338,972,');}',974,'=setTimeout("',6,682,'.doClear()",1000);},doClear',338,'if(',974,274,'clear',468,6,1,702,'="";if(',956,'){',956,998,'="";}if(',942,'){',942,1001,277,'";}}},Blank',338,'if(','this.blank','||!',6,15,'body',356,1058,'=',6,348,'DIV("blank",{position:(',6,325,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',954,':"white"});if(',6,325,'msieBlankBug','){',1058,994,'="&nbsp;";',1058,'.style.width="110%";',1058,'.style.height="110%";}},UnBlank',338,'if(',1058,'){',6,15,'body.removeChild(',1058,');}',1058,'=null;}};',6,'Setup={',7,':[],DIV',265,'id,_3e',8,'div=',6,15,21,'("div");div.id="jsMath_"+id;','for(var i in ','_3e){div.style[i]=_3e[i];}',0,6,15,'body.hasChildNodes){',6,15,'body',812,'div);}',29,6,15,801,'div,',6,15,797,');}return div;},Script',265,'_41,_42){if(','this.loaded[_41',']){return;}',29,1131,']=1;}',0,'_41.match("^([a-zA-Z]+:/?)?/")){_41=',6,'root+_41;}',6,673,'Load(_41,_42);},Hidden',338,6,277,'=this.DIV("Hidden",{visibility:"',277,952,'top:0,left:0,border:0,padding:0,margin:0});',6,'hiddenTop=',6,277,';return;},Source',338,'if(',6,'Autoload&&',6,'Autoload.root','){',6,'root=',6,1160,';}',29,6,'root="";var _43=',6,15,'getElementsByTagName("','script");if(_43){',455,'_43','.length;i++){var ','src=_43[i].src;if(src&&src.match("(^|/)',6,'js$")){',6,1163,'src.','replace(/',6,'js$/,"");i=_43.length;}}}}if(',6,'root.charAt(0)=="/"){',6,1163,6,15,565,'+"//"+',6,15,'location.host+',6,'root;}',29,0,6,'root.match','(/^[a-z]+:/i)){src','=new String(',6,15,507,6,1163,'src','.replace(new RegExp','("[^/]*$"),"")+',6,'root;while(',6,1202,'("/[^/]*/\\\\.\\\\./")){',6,1163,6,'root',1211,'("/[^/]*/\\\\.\\\\./"),"/");}}}',6,'Img.',1163,6,'root+"fonts/";',6,'blank=',6,'root+"blank.gif";this.Domain();},Domain',338,'try{',6,15,'domain;}',581,356,'var _46="";var _47=',6,15,'domain;if(',6,1202,'("://([^/]*)/")){_46=RegExp.$1;}_46=_46.replace(/:\\d+$/,"");if(_46==""||_46==_47',356,587,'onLine&&','navigator.',588,'&&',6,15,'all',356,'_46=_46.split(/\\./);_47=_47.split(/\\./);if(_46.length<2||_47.length<2||','_46[_46.length-','1',']!=_47[_47.length-','1]||',1258,'2',1260,'2]){this.','DomainWarning','();return;}var _48=',1258,'2]+"."+',1258,'1];for(var i=3;i<=_46.length&&i<=_47',457,1258,'i',1260,'i]){break;}_48=',1258,'i]+"."+_48;}',6,15,609,'_48;this.',665,'=1;},',1266,338,23,'In order for jsMath to be able to load the additional "+"components that it may need, the ',6,'js file must be "+"',7,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',25,'displayed here may not appear correctly.");},','EncodeFont',265,'_4a',8,'_4b=',6,'TeX[_4a];if(_4b[0].c!=null',356,917,'128;k++){var _4d=_4b[k];_4b[k]=_4d[3];if(_4b[k]==null){_4b[k]={};}_4b[k].w=_4d[0];_4b[k].h=_4d[1];if(_4d[2]!=null){_4b[k].d=_4d[2];}_4b[k].c=',6,'TeX.encoding[k];}},Fonts',338,455,6,'TeX.fam',1176,'_4f=',6,1310,'[i];if(_4f',274,1295,'(_4f);}}},TeXfont',265,'_50',8,'_51=',6,'TeX[_50];if(_51==null',356,'var WH=',6,427,'=\\""+_50+"\\">"+_51[65','].c+"</span>");','_51.hd=WH.h;_51.dh=0.05;_51.d=',6,427,'=\\""+_50+"\\">"+_51[65].c+',6,397,'_51.hd)+"</span>").h-_51.hd;_51.h=_51.hd-_51.d;','if(_50=="',112,'"){_51.skewchar=','127;}',29,1338,116,1340,'48;}}},',425,338,455,6,1310,457,6,1310,'[i]){this.TeXfont(',6,1310,'[i]);}}},Sizes',338,6,'TeXparams','=[];for(var j=0;j<',6,'sizes.length;j++){',6,1361,'[j]={};}',1109,6,'TeX){',734,6,'TeX[i])!="object"){for(var j=0;j<',6,'sizes.length;j++){',6,1361,'[j][i]=',6,'sizes[j]*',6,'TeX[i]/100;}}}},Styles',265,'_57){',0,'_57){_57=',6,'styles;_57[".typeset .scale"]="font-size:"+',6,521,'.scale+"%";this.stylesReady=1;}',6,676,'this,"','AddStyleSheet','",_57);if(',6,325,'styleChangeDelay','){',6,676,6,'Script,"Delay",1);}},',1395,265,'_58',8,'_59=',6,15,1172,'head")[0];var _5a="";for(var id in _58){_5a+=id+" {"+_58[id]+"}\\n";}if(',6,15,'createStyleSheet){_59.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_5a+"</style>");}',29,'var _5c=',6,15,21,'("style");_5c.type="text/css";_5c',812,6,15,960,'(_5a));_59',812,'_5c);}},Body',338,'if(this.inited',356,'this.inited=-','1;',6,348,'Hidden();',1435,'2;',6,325,984,1435,'3;if(',6,521,'.blank){',6,682,'.Blank();}',1435,'4;',6,348,'Styles();',1435,'5;',6,513,984,1435,'6;',6,676,6,'Setup,"User","pre-font");',1435,'7;',6,676,6,'Font,"Check");if(',6,'Font.register.length){',6,676,6,'Font,"LoadRegistered");}this.inited=1;},User',265,'_5d){}};',6,'Update={',425,265,'_5e){for(var ','_5f in ',1487,'_60 in _5e[_5f]){for(var id in _5e[_5f][_60]){',6,'TeX[_5f][_60][id]=_5e[_5f][_60][id];}}}},TeXfontCodes',265,'_62){for(var _63 in _62){',455,'_62[_63].length;i++){',6,'TeX[_63][i].c=_62[_63][i];}}}};',6,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1399,':0,delay:1,version:0,','TestSpanHeight',338,6,275,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',371,'></span>";var ','_65=',6,'hidden.firstChild;','var img=_65.firstChild;','this.spanHeightVaries','=(_65',281,'>=img',281,'&&_65',281,'>0);','this.spanHeightTooBig','=(_65',281,'>img',281,');',6,275,'="";},','TestInlineBlock',338,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',6,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1545,'){',6,'styles[".typeset .','blank"]=',6,1554,'blank','"].replace(/',147,'/,',1543,');',6,1554,152,'"]=',6,1554,152,1559,147,'/,"");}',29,1543,'="',147,'";',1545,'=',6,1548,1549,'(!',1545,601,1543,'+=";',149,'";var h=',6,271,'("x").h;this.mozInlineBlockBug=',6,1548,'height:"+h+"px;width:1px',371,'>x"+"<',1515,1596,';vertical-align:-"+h+"px',371,'>").h>2*h;this.widthAddsBorder=',6,1548,149,';height:1px;width:10px',';border-left:','10px solid',371,'>").w>10;','this.msieBorderBug','=',6,1548,1596,371,'>x").h!=',6,1548,1596,1608,143,371,'>x").h;this.blankWidthBug=',1612,'||',6,1548,1516,'0px',371,'>").h==0;},','TestRenameOK',338,6,275,1513,1519,'_68=',6,1522,'_68.setAttribute("name","','jsMath_test','");this.renameOK=(',6,15,'getElementsByName("',1644,'").length>0);',6,275,1540,'TestStyleChange',338,6,275,1513,' ID=\\"',1644,'\\">x</span>";var _69=',6,1522,'var w=_69',278,';',6,348,1395,'({"#',1644,182,'200%"});this.',1399,'=(_69',278,'==w);',6,275,1540,'VersionAtLeast',265,'v',8,'bv',1204,'this.version',').split(".");','v',1204,'v',1688,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',338,6,27,'="unknown";this.',1541,436,1509,436,1634,436,1654,436,'MSIE',436,'Mozilla',436,'Opera',436,'OmniWeb',436,'Safari',436,'Konqueror','();if(','this.allowAbsoluteDelim','){',6,'Box.DelimExtend=',6,'Box.DelimExtendAbsolute;',6,'Box.Layout=',6,'Box.LayoutAbsolute;}',29,6,'Box.DelimExtend=',6,'Box.DelimExtendRelative;',6,'Box.Layout=',6,'Box.LayoutRelative;}if(','this.separateSkips','){',6,'HTML.Place=',6,'HTML.','PlaceSeparateSkips',';',6,'Typeset.prototype.','Place=',6,1746,1743,';}},MSIE',338,'if(',1524,'&&!',1532,'){',6,27,'="MSIE";',526,'platform','=="Win32"){',1718,'=1;',1737,'=1',';this.buttonCheck=1;this.',1077,'=1;this.msieDivWidthBug=1;this.',1071,816,'msieIntegralBug',816,'waitForImages',816,'msieAlphaBug',816,'alphaPrintBug',816,1501,'="position:relative; ";this.',1503,'=" ',147,';";this.',1505,1513,1417,147,371,'>";',6,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',6,1554,'arial"]="font-family: \'Arial ','unicode',' MS\'";',6,'styles["#jsMath_message','"]=',6,1801,1559,156,'/,"',207,'").',1183,168,'/,"");',6,'styles["#jsMath_panel','"]=',6,1814,1559,156,'/,"',207,'").',1183,168,1812,6,'styles["#jsMath_button','"]="width:','1px; "+',6,1827,1559,156,'/,"',207,'").',1183,168,1812,6,1,'.onscroll=',6,513,'MoveButton;',6,1554,152,'"]=',6,1554,152,1559,147,1812,'if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1857,'!=',1859,274,'imgScale*=',1859,'/',1857,';',6,521,'.alpha=0;}this.',326,'="<i>x</i>";',6,'EmBoxFor=',6,306,';}',29,526,1762,'=="MacPPC"){this.msieAbsoluteBug',816,'msieButtonBug',1770,1077,'=1;',6,'Setup.Script("jsMath-','msie-mac.js");',6,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',6,1814,1828,'42em; "+',6,1814,1559,168,1812,6,521,'.printwarn=0;}}',6,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',338,'if(',6,277,'.ATTRIBUTE_NODE){',6,27,'="Mozilla";',526,1762,'=="Win32"){this.alphaPrintBug=1;}',1718,'=1;',6,1827,'"]=',6,1827,1559,201,'/,"cursor:pointer");',6,'styles["#jsMath_noFont .link','"]=',6,1931,1559,201,'/,"cursor:pointer");',6,1907,'/}}");',526,'vendor=="Firefox"){',1687,'=',1250,'vendorSub;}',29,526,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1687,'=RegExp.$1;}}}},',1712,338,526,'accentColorName){',6,27,'="',1712,'";','this.allowAbsolute','=',1545,';',1718,'=',1962,';this.valignBug=!',1962,1768,991,'=1;',6,'noChangeGlobal=1;',0,1545,'){',6,1890,'old-browsers.js','");}}},Opera',338,'if(',1532,'){',6,27,'="Opera";var _6d=',1250,1949,'("Opera 7");',1962,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6d){',6,1890,1981,'");}}},Safari',338,526,'appVersion.match(/Safari\\//)){',6,27,'="Safari";var _6e=',1250,1949,'("Safari/([0-9]+)");_6e=(_6e)?_6e[1]:400;',455,6,1310,457,6,1310,'[i]&&',6,'TeX[',6,1310,'[i]]){',6,'TeX[',6,1310,'[i]].dh=0.1;}}',6,'TeX.axis_height+=0.05;',6,'TeX.default_rule_thickness+=0.025;',1718,'=_6e>=125;this.safariIFRAMEbug=_6e>=312&&_6e<412;this.safariButtonBug=_6e<412;this.safariImgBug',816,991,'=1',1768,1399,'=1;}},',1716,338,526,'product&&',1250,'product.match("',1716,'")){',6,27,'="',1716,'";',1962,'=0;',1718,'=0;',526,1949,'(/',1716,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1737,816,'valignBug=1;',6,1890,1981,'");}}}}};',6,'Font={fallback:"symbol",register:[],message:"<b>No jsMath TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',371,'></b><br/>"+"Using',2068,'.  This',2070,'print_message:"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message:"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of',2078,'Test1',265,'_70,n,_72,_73','){if(n==null){n=124;}if(','_72==null){_72=2;}if(_73==null){_73="";}var wh1=',6,'BBoxFor("<span style=\\"font-family',': "+_73+_70+", serif\\">"+',6,'TeX[_70][n',1330,'var wh2=',6,2087,': serif\\">"+',6,'TeX[_70][n',1330,714,'wh1.w>_72*wh2','.w&&wh1.h!=0);},','Test2',265,'_76,n,_78,_79',2084,'_78==null){_78=2;}if(_79==null){_79="";}var wh1=',6,2087,': "+_79+_76+", serif\\">"+',6,'TeX[_76][n',1330,'var wh2=',6,2087,': serif\\">"+',6,'TeX[_76][n',1330,714,'wh2.w>_78*wh1',2101,'CheckTeX',338,'var wh=',6,2087,': jsMath-',120,98,'\\">"+',6,438,'1',1330,6,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(',6,'nofonts&&(',1250,1762,'!="MacPPC"||',6,27,'!="Mozilla"||!',6,325,1681,'(1.5))){wh=',6,2087,': ',120,98,'\\">"+',6,438,'1',1330,6,2137,'"));',0,6,'nofonts){',6,1890,'BaKoMa-fonts.js");}}},Check',338,'var _7d=',6,521,';this.CheckTeX();if(',6,2166,'if(_7d.autofont','||_7d.font=="tex"){_7d.font=this.fallback;if(_7d.warn){',6,'nofontMessage=1;_7d.warn=0;',6,513,549,'0);if(',6,1,'.NoFontMessage','){',6,1,2187,'();}',29,'this.',682,'(',942,');}}}}',29,2177,'){_7d.font="','tex','";}if(_7d.font=="','tex"){return;}}if(',6,'noImgFonts',2201,1798,2203,1798,'"){var _7e=({Win32:"pc",MacPPC:"mac"})[',1250,1762,']||"unix";',6,348,'Script("jsMa'],
  ['th-','fallback','-"+_7e+".js");','jsMath.','Box.TeXnonfallback=',3,'Box.TeX',';',3,6,'=',3,'Box.TeXfallback;return;}','if(!_7d.print&&_7d.printwarn','){this.','PrintMessage','((',3,'Browser.','alphaPrintBug&&',3,'Controls.cookie.','alpha)?','this.print_message','+this.alpha_message:',23,');}if(',3,18,'waitForImages){',3,'Script.','Push(',3,'Script,"WaitForImage",',3,'blank);}if(_7d.font=="symbol"){',3,'Setup.Script','("jsMath-',1,'-symbols.js");',3,'Box.TeXnonfallback=',3,6,';',3,6,'=',3,12,3,'Img.SetFont','({cmr10',':["all"],','cmmi10',55,'cmsy10',55,'cmex10',55,'cmbx10',55,'cmti10:["all"]});',3,'Img.LoadFont','("cm-fonts");},Message',':function(','_7f','){if(',3,'Element("','Warning','")){','return;}var ','div=',3,'Setup.DIV("',73,'",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7f+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',3,'Controls.Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',88,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',3,'Font.','HideMessage',86,'Remove this font warning message',89,'Hide this Message',91,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',95,':function(){','var _81=',3,72,73,'");if(_81){_81','.style.display="none";}},',15,68,'_82',70,3,72,'PrintWarning',74,75,'div=',3,78,117,80,82,'_82+"</',102,'Register',68,'_84,_85',70,'typeof (_84)=="string"){_84={name:_84};}if(!',3,'Setup.inited','&&!_85){','this.register','[',136,'.length',']=_84;',75,'_86=_84.name;var _87=_86.replace(/10$/,"");var _88=',3,'TeX.fam',139,';if(','_84.prefix','==null){',147,'="";}if(!_84.style){_84.style="font-family: "+',147,'+_86+", serif";}if(!','_84.styles','){',153,'={};}','if(!','_84.macros','){',158,156,3,144,'[_88]=_86;',3,'TeX.famName[_86]=_88;',158,'[_87]=["HandleFont",_88];',3,'Add(',3,'Parser.prototype.macros,',158,');',153,'[".typeset ."+_86]=_84.style;',3,'Setup.Styles(',153,');if(',3,'initialized){',3,31,'Push(',3,'Setup,"TeXfont",_86);}var _89=!',3,'nofonts&&_84.test(_86,_84.testChar,_84.testFactor,',147,180,'_89&&',3,21,'font=="tex','"){if(_84.','tex){_84.tex(_86,_88,_84);}return;}if(!_89&&',3,21,'warn&&',3,21,195,'"&&!',3,'nofonts){if(!',3,72,73,74,'this.Message(this.extra_message);}var _8a=',3,72,'ExtraFonts");if(_8a',70,'_8a.innerHTML','!=""){',216,'+=",";}',216,'+=" "+',147,'+_86;}}if(',3,21,'font=="unicode',196,1,'){_84.',1,'(_86,_88,_84);}',75,'_8b={};_8b[_86]=["all"];',3,53,'(_8b);',3,66,'(_86',180,3,'initialized){',3,31,'Push(',3,'Img,"Scale");',3,31,'Push(',3,'Img,"UpdateFonts");}},LoadRegistered',104,'var i=0;while(i<',136,139,14,128,'(',136,'[i++],1);}',136,'=[];},Load',68,'_8d){',3,38,'(this.URL(_8d));},URL',68,'_8e){return ',3,'Img.root+_8e+"/def.js";}};',3,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',104,'this.panel=',3,78,'panel",{display:"none"});if(!',3,18,'msieButtonBug',14,'Button();}else{setTimeout("',3,'Controls.Button()",500);}},Panel',104,3,'Translate.Cancel();if(','this.loaded',14,'Main();}else{',3,31,'delayedLoad(',3,'root+"jsMath-controls.html");}},Button',104,'var _8f=',3,78,'button",{});_8f.title=" Open ',88,' ";_8f.innerHTML="<span onclick=\\"',3,85,'()\\">jsMath</span>";if(!',3,'Global.','isLocal&&!',3,'noShowGlobal){_8f.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global Panel \\" "+"onclick=\\"',3,311,'Show(1)\\">Global&nbsp;</span>";}if(_8f.offsetWidth<30){_8f.style.width="auto";}if(!','this.cookie','.button){_8f',110,'MoveButton',104,'if(!this.button',14,'button=',3,72,'button");}','this.button.style.visibility="','hidden";',329,'visible";},GetCookie',104,'if(','this.defaults',148,335,156,3,170,335,',',318,');this.userSet={};var _90=',3,'document.cookie',146,3,'window.location','.protocol.match(this.',275,')){_90=this.','localGetCookie','();','this.isLocalCookie','=1;}if(_90.match(/jsMath=([^;]+)/)){var _91=RegExp.$1.split(/,/);for(var i=0;i<_91',139,';i++){var x=_91[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',318,'[x[1]]=x[2];this.userSet[x[1]]=1;}}},',353,104,'return unescape(',3,349,'.search.substr(1));},SetCookie',68,'_94){var _95=[];','for(var id in ',318,70,335,'[id]==null||',318,'[id]!=',335,'[id]){_95[_95',139,']=id+":"+',318,'[id];}}_95=_95.join(",");if(',355,70,'_94==2){return "','jsMath="+escape(','_95);}this.','localSetCookie','(_95,_94);}else{if(_95==""){_94=0;}if(','this.cookiePath','){_95+="; ','path="+',389,';}if(','this.cookieDomain',390,'domain="+',394,';}if(',318,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',401,'*7,M',401,'*30,Y',401,'*365};var exp=new Date;exp.setTime(exp.getTime()+',318,'.keep.substr(','0,1)*ms[',318,410,'1,1)]);_95+="; expires="+exp.toGMTString();}if(_95',217,3,346,'="jsMath="+_95;var _99=',3,346,146,'_94&&!_99.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',387,68,'_9a,_9b){if(!_9b){',75,'_9c=String(',3,349,').replace(/\\?.*/,"");if(_9a',217,'_9c+="?',385,'_9a);}if(_9c!=',3,349,'.href',14,'Reload(_9c);}},Reload',68,'url){if(!',292,'){return;}',292,'=0;',3,134,'=-100;',3,311,'ClearCache();if(url){',3,349,'.replace(url);}else{',3,349,'.reload();}}};',3,'Click={CheckClick',68,'_9e){if(!_9e){_9e=',3,'window.event;}if','(_9e.altKey){',3,85,'();}},CheckDblClick',68,'_9f){if(!_9f){_9f=',3,463,'(!',3,'Click.DblClick){',3,'Extension.Require("double-click",1);var _a0=_9f;_9f={};',369,'_a0){_9f[id]=_a0[id];}}',3,31,'Push(',3,'Click,"DblClick",[_9f,this.alt]);}};',3,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',486,'778',486,'694',486,'667',486,'75',486,'722',486,'778',486,'722',486,'778',486,'722',486,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',512,'833',512,'833',512,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',512,'5',512,'5,0.628],[0.5',512,'5,0.568],[0.75',512,'444,0,0.17],[0.5',512,'722',520,'778',520,'5,0.528,0.0972],[0.903,0.683],[1.01',486,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',540,',0.694,0,{lig:{"96":','60}}],[0.5',512,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',551,'778',512,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',561,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',522,'333',541,'lig:{"45":','123}}],[',566,'],[0.5',561,'5,0.644','],[0.5,0.644],[0.5,0.','644',576,'644',576,'644',576,'644],[0.5,0.644],[',540,520,'278,0.431',522,'278,0.5',522,'778',',0.367,-0.133],[','0.472,0.5',522,'472',545,'62}}],[0.778',512,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',601,'79',601,'71',601,'85',601,'81',601,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',486,'722',486,'764',599,'88',601,'87',601,'65',601,'86',601,'89":-','0.0278}}],[0.','681',486,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',486,'75',486,'361',599,'73":',628,'514',486,'778',599,'79',601,'67',601,'71',601,'81":-',628,'625',599,612,'917',486,'75',486,'778',599,'88',601,'87',601,'65',601,'86',601,'89":-',628,'681',599,'65','":-0.0833,"','111',601,'101',601,'97',601,'46',676,'44":-0.','0833}}],[0.','778,0.683',522,'736',599,'116',601,'67',601,'79',601,'71',601,'85',601,'81',601,612,'556',486,'722',599,'121',601,'101',676,'111',676,'114',676,'97',676,'65',676,'117":-0.',686,'75',486,'75',',0.683,0,{ic:0.','0139,',633,'1.03',725,'0139,',633,'0.75',599,'79',601,'67',601,'71',601,'81":-',628,'75',725,'025,krn:{"101',676,'111',676,'114',676,'97',676,'65',676,720,686,'611',486,'278',561,'5',512,'278',561,'5',512,'278,0.668],[0.','278',545,'92}}],[0.5',541,'krn:{"118',601,'106":0.0556,"121',601,'119":-',628,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',541,'krn:{"104',601,'107":-',628,'556',512,'444',520,'306',508,509,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',628,'556',557,'116',601,'117',601,'98',601,'121',601,'118',601,'119":-',628,766,'306,0.668',522,'528',557,'97','":-0.0556,"','101',601,'97',601,'111',601,'99":-',628,'278',512,'833',541,'krn:{"116',601,'117',601,'98',601,'121',601,'118',601,'119":-',628,'556',541,'krn:{"116',601,'117',601,'98',601,'121',601,'118',601,'119":-',628,'5,0.431',',0',779,777,'431,0.194',779,'528,0.431',522,'392',520,'394',520,'389,0.615,0,{krn:{"121',601,'119":-',628,'556',541,'krn:{"119":-',628,'528',',0.431,0,{ic:0.',796,'97',819,'101',601,'97',601,'111',601,'99":-',628,'722',879,796,'101',601,'97',601,'111',601,'99":-',628,'528',520,'528',794,'ic:0.',796,'111',601,'101',601,'97',601,'46',676,'44":-0.',686,'444',520,'5',879,'0278,',570,'124}}],[1',879,'0278}],[0.','5',512,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',725,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',686,'833',599,'127":0.167}}],[0.','763',725,922,'krn:{"127":0.0833}}],[0.','694',599,936,'742',725,'0757,',940,'831',725,'0812,krn:{"61',819,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',725,'0576,',940,'583',725,'139',932,953,'667',632,940,'612',725,'11,krn:{"61',819,952,953,'772',725,'0502,',940,'64',879,'0037,','krn:{"127":',628,'566',',0.694,0.194,{ic:0.','0528,',940,'518',794,'ic:0.0556}],[0.444',508,'0378,krn:{"',952,953,'406',541,'krn:{"127":0.0556}}],[0.','438',982,'0738,',940,'497',794,'ic:0.0359',',',994,'469',508,922,940,'354',541,994,'576',520,'583',512,'603',794,979,628,'494',879,'0637,krn:{"',952,'0278}}],[0.','438',982,'046,',979,'0.111}}],[0.','57',879,'0359}],[0.','517',794,940,'571',879,'0359,krn:{"59',819,'58":-0.',953,'437',879,'113,krn:{"',952,1023,'54',879,'0359,',979,628,'596,0.694,0.194,{',940,'626',794,994,'651',982,'0359,',979,1028,'622',879,1031,'466',541,940,'591',',0.694,0,{',940,'828',879,926,'517',794,940,'363,0.431,0.0972,{ic:0.0799,',940,'654',794,979,'0.0833}}],[1',591,'1',591,'1',591,'1',591,540,',0.464,-0.0363],[',540,1090,'0.5,0.465,-0.0347],[',1093,'0.5',520,'5',520,'5',520,858,522,858,522,858,',0.194',576,862,576,'431',522,'278,0.106],[',566,522,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',819,'65',819,'77',819,'78',819,'89":0.0556,"90":-0.',953,'778',1116,1093,'0.531',508,'0556,',940,'75',599,'127":','0.','139}}],[0.','759',725,'0502,',940,'715',725,'0715,krn:{"61',601,952,686,'828',725,922,994,'738',725,'0576,',940,'643',725,'139',932,686,'786',632,940,'831',725,'0812,krn:{"61',819,952,953,'44',725,'0785,',979,1028,'555',725,'0962',932,'167}}],[0.','849',725,'0715,krn:{"61',819,952,953,'681',599,1136,628,'97',725,'109,krn:{"','61',819,952,686,'803',725,1193,'61',676,'61',601,952,686,'763',725,922,940,'642',725,'139',932,686,'791,0.683,0.194,{',940,'759',725,'00773,',940,'613',725,'0576,krn:{"61',819,952,686,'584',725,'139,krn:{"61',601,952,686,'683',725,1193,'59":-0.111,"',1039,'111,"61',819,1136,628,'583',725,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',725,'139',1246,'828',725,'0785,krn:{"61',676,'61',601,952,686,'581',725,'222',1246,'683',725,'0715,krn:{"61',819,952,686,'389,0.75],[0.389',549,'0.389',549,'1,0.358,-0.142],[',1273,'0.417',1068,979,1028,'529',520,'429',512,'433',541,994,'52',557,'89":0.0556,"90',819,'106":-0.111,"102":-0.167,"',936,'466',541,994,'49',982,'108,krn:{"',952,1180,'477',794,1001,',',979,628,'576',557,'127":-',628,'345,0.66],[0.412,0.66',',0.194,{ic:0.','0572,krn:{"59',819,1039,953,'521',508,'0315}],[0.298',508,'0197,',940,'878',520,'6',520,'485',541,994,'503',794,940,'446',794,1001,',',940,'451',879,922,'krn:{"',952,953,'469',541,994,'361,0.615,0,{',940,'572',541,979,628,'485',879,'0359,',979,628,'716',879,'0269,',940,'572',541,979,628,'49',794,1001,',',994,'465',879,'044,',994,'322',541,979,628,'384',794,940,'636',794,979,1028,'5,0.714,0,{ic:0.154}],[',540,508,'399}]],cmsy10:[[',565,540,',0.444,-0.0556],[',565,1093,565,'0.5,0.444,-0.0556],[',565,565,565,565,565,565,565,'1',549,1395,1395,'0.778',1090,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1410,1410,1410,1410,1410,'],[0.778',591,'0.778,0.483,-0.0169],[0.778',1116,'0.778',1116,'1',1116,'1',1116,'0.778',1116,'0.778',1116,'1',591,'1',591,'0.5',549,'0.5',549,'1',591,'1',549,'1',549,'0.778',1090,'1',591,'1',591,'0.611',549,'0.611',549,'1',591,'1',549,'1',549,'0.778',520,'275,0.556],[1',520,'667',1116,'0.667',1116,'0.889',549,'0.889',549,'0',549,'0',591,'0.556',512,'556',512,'667',520,'5',551,'722',512,'722',512,'778',512,'778',512,'611',512,'798',599,'48":0.','194}}],[0.657',725,'0304',',krn:{"48":0.',1138,'527',725,'0583',1500,1138,'771',725,'0278',1500,686,'528',725,'0894',1500,'111}}],[0.','719',725,'0993',1500,1516,'595',',0.683,0.0972,{ic:0.','0593',1500,1516,'845',725,'00965',1500,1516,'545',725,'0738,krn:{"48":',628,'678',1523,'185',1500,1180,'762',725,'0144',1500,953,'69',599,1496,'139}}],[1.2',599,1496,1138,'82',725,'147',1500,686,'796',725,1509,1500,1516,'696',725,'0822',1500,686,'817,0.683,0.0972,{krn:{"48":',1028,'848',599,1496,686,'606',725,'075',1500,1138,'545',725,'254,krn:{"48":',628,'626',725,'0993',1500,686,'613',725,'0822,krn:{"48":',628,'988',725,'0822',1500,686,'713',725,'146',1500,1138,'668',1523,'0822',1500,686,'725',725,'0794',1500,1138,'667,0.556],[0.',1612,1612,1612,1612,'611',512,'611',512,'444',561,'444',561,'444',561,'444',561,'5',561,'5',561,'389',561,'389',561,'278',561,'5',561,'5',561,'611',561,'5',561,'278',549,'0.833,0.04,0.96],[0.75',486,'833',486,'417',982,'111}],[0.',1612,'667,0.556',1410,1410,'],[0.444',549,'0.444',549,'0.444',549,'0.611',549,'0.778,0.694,0.13','],[',1668,'],[',1668,'],[',1668,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1676,'17}],[0.417',1676,'104}],[0.417',1676,'105}],[0.','472',1676,'106}],[0.472',1676,'107}],[0.472',1676,'108}],[0.472',1676,'109}],[0.583',1676,'110}],[0.583',1676,1655,'472',1676,'68}],[0.472',1676,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1702,'rep:13}}],[0.578',1676,'46}],[0.578',1676,'47}],[0.597',',0.04,1.76,{','n:18}],[0.597',1710,'n:19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1714,'33}],[0.528',1714,'34}],[0.528',1714,'35}],[0.583',1714,'36}],[0.583',1714,'37}],[0.583',1714,'38}],[0.583',1714,'39}],[0.75',1714,'40}],[0.75',1714,'41}],[0.75',1714,'42}],[0.75',1714,'43}],[1.04',1714,'44}],[1.04',1714,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1742,'49}],[0.583',1742,'50}],[0.583',1742,'51}],[0.639',1742,'52}],[0.639',1742,'53}],[0.639',1742,'54}],[0.639',1742,'55}],[0.806',1742,'56}],[0.806',1742,'57}],[0.806',',0.04,2.96],[','0.806',1762,'1.28',1762,'1.28',1762,'0.811',1710,'n:30}],[0.811',1710,'n:31}],[0.875',1710,'delim:{top:','48,bot:64,rep:66}}],[0.875',1710,1775,'49,bot:65,','rep:67}}],[0.','667',1710,1775,'50,bot:52,rep:54}}],[0.667',1710,1775,'51,bot:53,rep:55}}],[0.667',1710,'delim:{bot:','52,rep:54}}],[0.667',1710,1789,'53,rep:55}}],[0.667',1702,'top:50,rep:54}}],[0.667',1702,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1798,'57,mid:61,bot:59,rep:62',1798,'56,bot:58,rep:62',1798,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1806,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1702,'top:120,','bot:121,rep:63}}],[0.','875',1710,1775,'56,bot:59,',1810,'875',1710,1775,'57,bot:58,',1810,'875',1702,'rep:66}}],[0.875',1702,1780,'611',1710,'n:28}],[0.611',1710,'n:29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1842,',1,{n:79}],[1.51',1837,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1838,'90',1835,'91',1835,'92',1835,'93',1835,'94',1835,'95}],[1.44',1837,'1.28',1837,1840,1842,1842,1842,1842,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1837,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1870,'102',1872,'103}],[1.44,0.75],[0.472',1710,'n:20}],[0.472',1710,'n:21}],[0.528',1710,'n:22}],[0.528',1710,'n:23}],[0.528',1710,'n:24}],[0.528',1710,'n:25}],[0.667',1710,'n:26}],[0.667',1710,'n:27}],[1',1676,'113}],[1',1710,'n:114}],[1',1714,'115}],[1',1742,'116}],[1.06,0,1.8,{',1775,'118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1702,'top:126,','bot:127,rep:119','}}],[0.667',1702,1813,'rep:63}}],[0.667',1702,1814,'45,0.12],[0.',1913,1913,1913,'778',1702,1905,'rep:119}}],[0.778',1702,1906,'}}]],cmti10:[[0.627',725,'133}],[0.818',486,'767',725,'094}],[0.692',486,'664',725,'153}],[0.743',725,'164}],[0.','716',725,'12}],[0.','767',725,1655,'716',725,'0599}],[0.767',725,1655,'716',725,'103}],[0.','613',982,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',510,'562',982,1949,'588',982,1949,'882',982,1949,'894',982,1949,'307',879,'0767}],[0.332',794,'ic:0.0374}],[0.511',512,'511',508,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',508,'108',1975,'562,0,{ic:0.',1949,'831',512,'46,0,0.17],[0.537',982,1683,'716',879,'0751}],[0.716',879,'0751',1975,'528,0.0972,{ic:0.0919}],[0.883',725,1938,'985',725,1938,'767,0.732,0.0486,{ic:0.094}],[0.256',541,542,'256,"76":-0.321}}],[0.307',508,'124,lig:{"96":60}}],[0.514',508,'0696}],[0.818',982,'0662}],[0.769',512,'818,0.75,0.0556',',{ic:0.136}],[0.','767',508,'0969}],[0.307',508,'124,krn:{"63":0.102,"33":0.102',559,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',1975,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',522,'358',879,'0283,',570,'123}}],[0.307,0.106],[0.511',2019,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',2031,2031,2031,'.194',2031,2031,2031,'.194',2031,2031,2011,'307',879,'0582}],[0.307',794,'ic:0.0582}],[0.307,0.5',1311,'0756}],[0.767,0.367,-0.133,{ic:0.0662',1975,'5',522,'511',508,'122,lig:{"96":62}}],[0.767',508,'096}],[0.743',632,'krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.','0256,"85','":-0.0256,"','107',2061,'118',2061,'119',2061,'81',2061,'84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',725,1949,'716',725,'145}],[0.755',725,'094,krn:{"88',2061,'87',2061,'65',2061,'86',2061,'89','":-0.0256}}],[0.','678',725,1938,'653',725,'133,krn:{"111','":-0.0767,"','101',2094,720,'0767,"114',2094,'97',2094,'65":-0.102,"','79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',725,'0872}],[0.743',725,1935,'386',725,'158}],[0.525',725,'14}],[0.769',725,'145,krn:{"',2103,'627',599,2070,'897',725,1935,'743',725,1935,'767',725,'094,krn:{"88',2061,'87',2061,'65',2061,'86',2061,'89',2087,'678',725,'103,krn:{"65":-0.0767}}],[0.767,0.683',1311,'094}],[0.729',725,'0387,',2059],
  ['0256,"85','":-0.0256,"','107',1,'118',1,'119',1,'81',1,'84','":-0.0767,"','89',11,'86','":-0.102,"','87',15,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','562',',0.683,0,{ic:0.','12}],[0.','716',20,'133',',krn:{"','121',11,'101',11,'111',11,'114',11,'97',11,'117',11,'65":-0.0767}}],[0.','743',20,'164}],[0.743',20,'184',25,'111',11,'101',11,'117',11,'114',11,'97',11,'65',15,'79',1,'67',1,'71',1,'81":-0.0256}}],[0.','999',20,'184',25,38,'743',20,'158',25,'79',1,'67',1,'71',1,63,'743',20,'194',25,'101',11,'111',11,'114',11,'97',11,'117',11,38,'613',20,'145}],[0.','307',',0.75,0.25',',{ic:0.','188}],[0.514',',0.694,0,{ic:0.','169}],[0.307',99,100,'105}],[0.511',102,'0665}],[0.307,0.668',',0,{ic:0.','118}],[0.307',102,'124,lig:{"96":92}}],[0.511',',0.431,0,{ic:0.','0767}],[0.','46',102,'0631',25,18,'46',113,'0565',25,18,'511',102,'103',',krn:{"108":0.0511}}],[0.','46',113,'0751',25,18,'307',',0.694,0.194',100,'212',25,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.','46',',0.431,0.194,{ic:0.0885}],[0.','511',102,114,'307,0.655',109,'102}],[0.307,0.655,0.194',100,97,'46',102,'108}],[0.','256',102,'103',128,'818',113,114,'562',113,'0767',25,'39":-0.102}}],[0.511',113,'0631',25,18,'511,0.431,0.194',100,'0631',25,18,'46',142,'422',113,'108',25,18,'409',113,'0821}],[0.332,0.615',109,'0949}],[0.537',113,114,'46',113,153,'664',113,'108',128,'464',113,21,'486',142,'409',113,'123}],[0.511',113,'0921',',lig:{"45":124}}],[1.','02',113,'0921}],[0.511',102,'122}],[0.511,0.668',109,'116}],[0.511,0.668',109,'105}]],cmbx10:[[0.692',',0.686],[0.','958',216,'894',216,'806',216,'767',216,'9',216,'831',216,'894',216,'831',216,'894',216,'831',216,'671',',0.694,0,{ic:0.109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15}}],[0.639',',0.694],[0.','639',240,'958',240,'958',240,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',251,'694',251,'632',251,'694',251,'596],[0.869',240,'511,0,0.17],[0.597',240,'831',248,'894,0.444',251,'542,0.0972],[1.04,0.686],[1.17',216,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":','60}}],[0.603',240,'958',135,251,'75,0.0556],[0.','958,0.',279,'894',240,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34}}],[0.447',99,'],[0.447',99,251,'75],[0.894,0.633,0.133],[','0.319,0.156',',0.194],[0.','383',',0.444,0',',{lig:{"45":123}}],[',292,251,'75,0.25',251,'644',251,'644',251,'644',251,'644',251,'644',251,'644',251,'644',251,'644',251,'644',251,'644],[0.319',248,'319',250,'],[0.35,0.5',293,'894,0.391,-0.109],[0.543,0.5',293,'543',273,'62}}],[0.894',240,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',334,'79',334,'71',334,'85',334,'81',334,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',216,'831',216,'882',332,'88',334,'87',334,'65',334,'86',334,'89','":-0.0319}}],[0.','756',216,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',216,'9',216,'436',332,'73','":0.0319}}],[0.','594',216,'901',332,'79',334,'67',334,'71',334,'81',361,'692',332,345,'1.09',216,'9',216,'864',332,'88',334,'87',334,'65',334,'86',334,'89',361,'786',332,'65":-0.0958,"111',334,'101',334,'97',334,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',293,'862',332,'116',334,'67',334,'79',334,'71',334,'85',334,'81',334,345,'0.639',216,'8',332,'121',334,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',216,'869,0.686',109,'016,',365,'1.19,0.686',109,'016,',365,'0.869',332,'79',334,'67',334,'71',334,'81',361,'869,0.686',109,'0287',25,437,'703',216,'319',99,'],[0.603',240,'319',99,251,'694],[0.319',240,'319',273,'92}}],[0.559',271,'118',334,'106":0.0639,"121',334,'119',361,'639,0.694,0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',271,'104',334,'107',361,'639',240,'527',248,'351',238,140,'575',250,',{ic:0.016,krn:{"','106',373,'639',285,'116',334,'117',334,'98',334,'121',334,'118',334,'119',361,'319',240,'351',135,'],[0.607',285,'97":-0.0639,"101',334,'97',334,'111',334,'99',361,'319',240,'958',271,'116',334,'117',334,'98',334,'121',334,'118',334,'119',361,'639',271,'116',334,'117',334,'98',334,'121',334,'118',334,'119',361,'575',295,485,'639',250,485,'607',250,'],[0.474',248,'454',248,'447,0.635,0,{krn:{"121',334,'119',361,'639',271,'119',361,'607',295,501,'97":-0.0639,"101',334,'97',334,'111',334,'99',361,'831',295,501,'101',334,'97',334,'111',334,'99',361,'607',248,'607',250,501,'111',334,'101',334,'97',334,413,'511,0.444',251,'444',109,'0319',206,'15,0.444',109,'0319}],[0.575,0.694',251,'694',251,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_a2){for(var _a3 in _a2){if(!','this.update[_a3',']){',633,']=[];}',633,']=',633,'].concat(_a2[_a3]);}},AddFont',631,'_a4,def){if(!',629,'[_a4]){',629,'[_a4]={};}','jsMath.Add(jsMath.','Img[_a4],def);},UpdateFonts',':function(){','var _a6=this.update;','if(!this.loaded){','return;}var ','_a7=this[','jsMath.Img.fonts','[this.best]];','for(var _a8 in _a6){','for(var i=0;i<','_a6[_a8].length;i++){var c=_a6[_a8][i];if(c=="all"){for(c in ','jsMath.TeX[','_a8]){',659,'_a8][c].img','={};}}else{',659,662,'={};}}}this.update={};},BestSize',649,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',669,'i]]+2*m)/3){','return ','i-1;}m=',669,'i]];}',676,'i-1;},Scale',649,651,'return;}this.best=this.BestSize();this.em=',629,'.w[',671,655,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',689,'-1)<0.12){',689,'=1;}},URL',631,'_ae,_af,C){var _b1=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_af!=""){_af+="/";}','return this.','root+_ae+_b1+_af+C;},LoadFont',631,'_b2){',651,'this.Init();}jsMath.Setup.Script(this.URL(_b2,""));},Init',649,'if(',698,'print||',698,'stayhires','){',698,'print=',698,711,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',718,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',698,'alpha=0;}}var _b3="0123456789ABCDEF";this.HexCode=[];',657,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_b3.charAt(h)+_b3.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',631,'m){var n=5;if(m<0){n++;}',691,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',676,'s+"em";},Spacer',631,'w){if(w==0){return "";}',676,722,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',631,'w,h,d,_be){var _bf="";var _c0="";if(_be){_c0+="border-',740,'w)+" solid;";if(',722,'widthAddsBorder){w=0;}}if(w==0){if(',722,'blankWidthBug){_c0+="width:1px;";_bf="<',739,'right:-1px\\"></span>";}}else{_c0+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_be&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_c0+="height:"+H+";";}if(',722,'mozInlineBlockBug){d=-h;}if(',722,'msieBorderBug&&!_be){d-=jsMath.d;}if(d){_c0+="','vertical-align:"+','this.Em(-d);}',676,'_bf+"<span class=\\"blank\\" ','style=\\""+','_c0+"\\"></span>";},Rule',631,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',700,'Blank(w,h,0,1);},Class',631,'_c4,_c5){return "<span class=\\""+_c4+"\\">"+_c5+"</span>";},Place',631,'_c6',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _c9','="<span style=\\"position',': relative',';";if(x){_c9+=" margin-',740,'x)+";";}if(y){_c9+=" ','top:"+this.Em','(-y)+";";}_c6=_c9+"\\">"+_c6','+"</span>";}',676,'_c6;},PlaceSeparateSkips',631,'_ca',770,'if(y){_ca',772,773,'; ',777,'(-y)+";"+"\\">"+_ca',779,'if(x){_ca=this.Spacer(x)+_ca',';}return ','_ca;},PlaceAbsolute',631,'_cd',770,'_cd',772,':absolute','; ',740,'x)+"; "+"',777,'(y)+";\\">"+_cd+"&nbsp;</span>";',676,'_cd;},Absolute',631,'_d0,w,h,d,y,H){if(y!="none"){',691,'y)<0.0001){y=0;}_d0',772,800,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_d0','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_d0+=this.Blank(w,h-d,d);if(',722,'msieAbsoluteBug){_d0',772,':relative',817,779,'_d0',772,822,';"+" width: "+',815,'Em(w)+";"+" height: "+',815,'Em(H)+";"+',722,'msieInlineBlockFix+"\\">"+_d0+"</span>";',676,'_d0;}};','jsMath.Box','=function(','_d6,_d7,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_d7;this.format=_d6;};',647,'Box,{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',631,'_db,_dc,_dd,_de,a,d){var _e1=','jsMath.Typeset.AddClass(','_dc,_db);_e1=','jsMath.Typeset.','AddStyle(','_dd,_de,_e1);var BB','=jsMath.EmBoxFor(','_e1);var TeX=',850,'TeX(_dd,_de);var bd=((_dc=="cmsy10"||_dc=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',844,'text",_db,BB.w,BB.h-bd,bd);box.style=_dd;box.size=_de;','box.tclass','=_dc;if(d','!=null){box.','d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',631,'C,_e7,_e8,_e9){var c=',659,'_e7][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_e7,C,',850,'StyleSize(_e8,_e9));}var _eb=',850,'TeX(_e8,_e9).scale;var h=c.h+',659,'_e7].dh;',857,844,'text",c.c,c.w*_eb,h*_eb,c.d*_eb);box.style=_e8;box.size=_e9;if(c.tclass){',860,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_eb*jsMath.h;box.bd=_eb*jsMath.d;}}else{',860,'=_e7;box.bh=_eb*',659,'_e7].h;box.bd=_eb*',659,'_e7].d;if(',722,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',866,'TeXfallback',631,'C,_ef,_f0,_f1','){var c=',659,'_ef][C];if(!c.tclass){c.tclass=_ef',876,'){',700,'TeXnonfallback(',901,');}if(c.h!=null&&c.a',874,'a=c.h-1.1*jsMath.TeX.x_height;}',857,'this.Text(c.c,c.tclass,_f0,_f1,c.a||0,c.d||0);var _f4=',850,'TeX(_f0,_f1).scale;if(c.bh',862,'bh=c.bh*_f4;box.bd=c.bd*_f4;}else{var h=box.bd+box.bh;var _f6=',848,860,',box.html);_f6=',850,851,'_f0,_f1,_f6);box.bd',853,'_f6+',815,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_f4==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',896,'>";}',866,'TeXIMG',631,'_f7,C,_f9){var c=',659,'_f7][C];if(c.img.size!=null&&c.img.size==_f9&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',652,'_fb=(',629,'.scale!=1);var id=',937,'+_f9-4;if(id<0){id=0;_fb=1;}else{if(id>=',654,'.length){','id=',654,'.length-1;_fb=1;}}var _fd=',629,'[',654,'[id]];var img=_fd[_f7][C];var _ff=1/',629,'.w[',654,'[id]];if(id!=',937,'+_f9-4){if(c.w!=null){_ff=c.w/img[0];}else{_ff*=',654,'[_f9]/',654,'[4]*',654,'[',937,']/',654,'[id];}}var w=img[0]*_ff;var h=img[1]*_ff;var d=-img[2]*_ff;var v;var _104=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',815,'Em(c.w-w)+";";var _105="";C=',629,'.HexCode[C];if(!_fb&&!',698,'scaleImg){if(2*w<h||(',722,'msieAlphaBug&&',698,'alpha)){_105="height',':"+(img[1]*',722,'imgScale',')+"px;";}_105+=" width:"+(img[0]*',722,982,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',722,'msieAlphaBug&&',698,979,':"+',815,'Em(h*',722,982,')+";";}_105+=" width:"+',815,'Em(w*',722,982,')+";";v=',815,'Em(d);}var _106=(Math.abs(d)<0.01&&!',722,'valignBug)?"":" ',756,'v+";";var URL=',629,'.URL(_f7,',654,'[id],C);if(',722,'msieAlphaBug&&',698,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',760,722,'msieCenterBugFix+_105+_106+_104','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1016,'URL+"\\" ',760,722,1020,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_f9;c.img.best=',937,';},Space',631,'w){',676,844,'html",',815,'Spacer(w),w,0,0);},Rule',631,763,'var html=',815,'Rule(w,h);',676,844,'html",html,w',',h,0);},GetChar',631,'code,font){var c=',659,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',874,'tclass=font;}if(!c.computedW){c.w',853,848,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',872,'c.computedW=1',793,'c;},DelimBestFit',631,'H,c,font,','_112){if(c==0&&font','==0){return null;}','var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_112.charAt(1)=="S");var isS=(_112.charAt(0)=="S");while(c!=null){C=',659,'font][c];','if(C.h==null){C',1058,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1076,',"SS",0.5*h];}if(isS&&0.7*h>=H',1076,',"S",0.7*h];}if(h>=H||C.n==null',1076,',"T",h];}c=C.n',793,'null;},DelimExtendRelative',631,1064,'a,_11b){var C=',659,1072,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',848,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1096,')));H=2*n*(',1096,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1100,');if(_11b){y','=0;}else{','y=H/2+a;}var Y=y;',1039,815,'Place(',848,'top.tclass,top.c),0,','y-top.h)+',815,1114,848,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',815,1114,848,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',657,'n;i++){','html+=',815,1114,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1096,'));if(top.h+top.d<0.9*(',1096,')){n=Math.max(1,n);}H=n*(',1096,1105,1100,');if(_11b){y',1110,'y=H/2+a;}var Y=y;',1039,815,1114,848,1116,'y-top.h);dx=(w-top',1128,1132,815,1114,848,1121,'w+bot.w)/2,Y-(H-bot.d));}if(_11b){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',631,1064,'a,_134){var Font=',659,1069,'C=Font[c];var html;',1091,1098,'-0.05)-(',1100,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1175,1105,1106,'-0.05)+(',1100,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',848,1116,'0);var h=',1175,';var y=top.d-0.05+rep.h;var ext=',848,'font,rep.c);',657,'n;i++){',1132,1183,'ext,0,y+i*h);}',1132,1183,848,1126,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1106,'-0.05;',657,'n;i++){',1132,1183,'ext,0,y+i*h);}',1132,1183,848,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1136,1173,1175,'));H=n*(',1175,1105,1100,'-0.05);html=',1183,848,1116,'0);var h=',1175,';var y=top.d-0.05+rep.h;var ext=',848,1094,657,'n;i++){',1132,1183,'ext,0,y+i*h);}',1132,1183,848,1211,'var w=top.w;if(_134){h=top.h;y',1110,'h=H/2+a;y=h-top.h;}html=',815,'Absolute(html,w,','Font.h,"none",-y,top.h);',1161,'Delimiter',631,'H,_14a,_14b,_14c){var size=4;var TeX=',850,'TeX(_14b,size);if(!_14a){',700,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_14a[','2],_14a[1],_14b);if(CFSH==null||CFSH[3]<H){',1252,'4],_14a[3],_14b);}if(CFSH==null){',700,1250,'if(CFSH[2]==""){',700,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_14c);}',857,837,'.TeX(',1261,'CFSH[2],size',').Styled();if(_14c){box.y=-',659,'CFSH[1]].dh',864,'y=-((box.h+box.d)/2-box.d-',1262,');}',691,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1268,');}',866,'GetCharCode',631,'code){var ',1068,'code[0]];var Font=',659,1069,'c=Font[code[1]];',1050,'[1],4);}if(c.w',874,'w',853,848,1056,';}if(c.font',874,'font=font',793,'c;},AddClass',631,'_155,html',',font){if(_155==null){_155=font',793,848,1304,');},LayoutRelative',631,'size,_159,_15a,_15b,_15c,_15d){if(_15a==null){_15a=[];}if(_15b==null){_15b=[];}if(_15c==null){_15c=[];}var _15e=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_162=-1000;var bh=_162;var bd=_162',';var i;var j;var row;for(i=0;i<','_159',672,'if(_15c[i]==null){_15c[i]=0;}row=_159','[i];H[i]=jsMath.h*','_15e',';D[i]=jsMath.d*','_15e',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_15c[_159','.length]==null){','_15c[_159','.length]=0;}','if(bh==_162){bh=0;}if(bd==_162){bd=0;}','var HD=(jsMath.hd-0.01)*','_15e;var dy=(_15d||1)*_15e/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _171;var _172',';for(j=0;j<W.length;j++){','_171=[];y=-H[0]-_15c[0];pW=0;','for(i=0;i<','_159',672,'_172=_159[i][j];if(_172&&_172.format!="null"){','if(_15a[j]=="','l"){w',1110,1339,'r"){w=W[j]-_172.w;}else{w=(W[j]-_172.w)/2;}}_172.x=w-pW;pW=_172.w+w;_172.y=y;_171[_171.length]=_172;}if(i+1<_159',946,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_15c[i+1];}}if(_15b[j]==null){_15b[j]=_15e;}if(_171.length>0',1278,'(_171,"T",size);',1132,815,1114,'box.html,cW,0);cW=W[j]-box.w+_15b[j];}else{cW+=_15b[j];}}w=-_15b[W.length-1];','y=(H.length-1)*dy+','_15c[0];',1335,'W',672,'w+=W[i]+_15b[i];}',1335,'H',672,'y+=Math.max(HD,H[i]+D[i])+','_15c','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1132,815,'Spacer(cW-_15b[W.length-1]+_15e/6);html=',815,1114,'html,_15e/6,h);box=',844,1044,'+_15e/3,h,d);box.bh=bh;box.bd=bd;',866,'LayoutAbsolute',631,'size,_175,_176,_177,_178,_179){if(_176==null){_176=[];}if(_177==null){_177=[];}if(_178==null){_178=[];}var _17a=jsMath.sizes[size]/100;',1329,'_17a;var dy=(_179||1)*_17a/6',1312,'w=0;var h;var x;var y',1314,'_175',672,'if(_178[i]==null){_178[i]=0;}row=_175',1318,'_17a',1320,'_17a',1322,1323,'w;}}}}if(_178[_175',1325,'_178[_175',1327,1354,'_178[0];',1335,'H',672,1363,'_178',1365,1331,'_189;w=_17a/6',1333,'y=H[0]-h+_178[0];',1335,'_175',672,'_189=_175[i][j];if(_189&&_189.format!="null"){','if(_176[j]&&_176[j]=="','l"){x',1110,1413,'r"){x=W[j]-_189.w;}else{x=(W[j]-_189.w)/2;}}',1132,1183,'_189.html,w+x,y-Math.max(0,_189.bh-jsMath.h*_17a));}if(i+1<_175',946,'y+=',1346,'_178[i+1];}}if(_177[j]==null){_177[j]=_17a;}w+=W[j]+_177[j];}w=-_177[W.length-1]+_17a/3;',1335,'W',672,'w+=W[i]+_177[i];}html=',815,'Spacer(_17a/6',')+html+',815,1430,');if(',722,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',815,1241,'h+d,d,y,H[0]);',857,844,1044,'+_17a/3,h,d);',866,'InternalMath',631,'text,size){text=text.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!text.match(/\\$|\\\\\\(/)){',700,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _190="";var _191=[];var _192;var html;var box;while(i<text',946,'c=text.charAt(i++);if(c','=="$"){if(_190=="$"){','_192=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_192.error){_191[_191.length]=this.Text(_192.error,"error","T",size,1,0.2);}else{_192.Atomize();_191[_191.length]=_192.mlist.Typeset("T",size).Styled();}_190="";k=i',';}else{','_191[_191.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_190="$";k=i;}}else{if(c=="\\\\"){',1451,'=="("&&_190==""){',1457,',i-2',1459,'_190=")";k=i;}else{if(c==")"&&_190==")"){',1453,'2',1455,';}}}}}',1457,1459,700,'SetList(_191,"T",size);},Set',631,'box',',_196,size',',_198){if(box&&box.type){','if(box.type=="typeset"){',676,'box;}if(box.type=="mlist"){box.mlist.Atomize(_196,size);',676,'box.mlist.Typeset(_196,size);}if(box.type=="text"){box=this.Text(box.text,',860,1477,',box.ascend||null,box.descend||null',');if(_198!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1477,1487,676,837,'.Null;},SetList',631,'_199,_19a,size){var _19c=[];var box;',657,'_199',672,'box=_199[i];',1479,'box=','jsMath.mItem','.Typeset(box);}_19c[_19c.length]=box;}var _19f=new jsMath.Typeset(_19c);',676,'_19f.Typeset(_19a,size);}});','jsMath.Package(jsMath.','Box,{Styled',649,'if(this.format=="text"){',840,848,'this.tclass',',this.html);',840,850,851,'this.style,this.size',1513,'delete this.','tclass;',1519,'style;this.format="html";}',676,'this;},Remeasured',649,'if(this.w>0){this.w',853,'this.html).w',793,'this;}});',1502,838,'type,def){this.type=type;jsMath.Add(this,def);};',647,'mItem,{Atom',631,'type,_1a3','){return new jsMath.mItem','(type,{atom:1,nuc',':_1a3});},TextAtom',631,'type,text,_1a6,a,d){var atom=new ',1502,1539,':{type:"text",text:text,tclass:_1a6}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1546,'descend=d',793,'atom;},TeXAtom',631,'type,c,font',1538,1539,':{type:"TeX",c:c,font:font}});},Fraction',631,'name,num,den,_1b0,left,_1b2',1538,'("fraction",{from:name,num:num,den:den,thickness:_1b0,left:left,right:_1b2});},Space',631,'w',1538,'("space",{w:w});},Typeset',631,'box',1538,'("ord",{atom:1,nuc:box});},HTML',631,'html',1538,'("html",{html:html});}});jsMath.mList',838,'list,font,size,_1b9){if(list){this.mlist=list;}else{this.mlist=[];}if(_1b9==null){_1b9="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1b9','};this.init={',1575,'};};',1506,'mList,{Add',631,'box){return (this.mlist[','this.mlist.length',']=box);},Get',631,'i){',700,'mlist[i];},Length',649,676,1583,';},Last',649,'if(',1583,1066,700,'mlist[',1583,'-1];},Range',631,'i,j){if(j==null){j=',1583,793,'new jsMath.mList(this.mlist.slice(i,j+1));},Delete',631,1602,'i;}if(','this.mlist.splice','){',1609,'(i,j-i+1);}else{var _1c0=[];for(var k=0;k<',1583,';k++){if(k<i||k>j){_1c0[_1c0.length]=this.mlist[k];}}this.mlist=_1c0;}},Open',631,'left){',857,'this.Add(','new jsMath.mItem("boundary",{','data:this.data}));var _1c4=this.data;this.data={};for(var i in _1c4){this.data[i]=_1c4[i];}',1519,'data.overI;',1519,'data.overF;this.data.openI=',1583,'-1;if(left',862,'left=left;}',866,'Close',631,'_1c6){if(_1c6!=null){_1c6=',1619,'right:_1c6});}var atom;var open=this.data.openI;var over=this.',1622,'var from=thi'],
  ['s.','data.overF;','this.','data=','this.mlist','[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1c6','){var ','_1cb=new ','jsMath.','mList','([',4,'[open],atom,_1c6]);atom=',10,'mItem.Atom','("inner','",{type:"mlist",mlist:','_1cb});}}else{var _1cc=open+1;if(_1c6){',2,'Add(','_1c6);_1cc--;}atom=',10,16,'((_1c6)?"inner":"ord',18,2,'Range(_1cc)});}',2,'Delete(open,',2,'Length());','return ',2,21,'atom);},Over',':function(){','var over=',2,'data.overI;var from=',2,1,'var ',6,4,'=[atom];},Atomize',':function(','_1d0,size',8,'_1d2;var prev="";','this.style','=_1d0;',2,'size=size;','for(var i=0;i<',4,'.length;i++){','_1d2=',4,'[i];_1d2','.delta=0;','if(_1d2.type=="choice"){',4,'=',2,'Atomize.choice(',51,',_1d2,i,',4,');i--;}','else{if(',2,'Atomize[_1d2.type',']){var f=',2,73,'];f(',51,',',2,'size,_1d2,prev,this,i);}}prev=_1d2;}if(_1d2&&_1d2','.type=="bin"){','_1d2','.type="ord";}','if(',4,'.length>=2&&_1d2.','type=="boundary','"&&',4,'[0].',88,'"){',2,'AddDelimiters','(',48,');}},',95,47,'_1d6,size',8,'_1d8=-10000;var h=_1d8;var d=_1d8;for(var i=0;i<',4,57,'var _1dc=',4,'[i];if(_1dc.atom||_1dc.type=="box"){h','=Math.max(','h,_1dc.nuc.h+_1dc.nuc.y);d',109,'d,_1dc.nuc.d-_1dc.nuc.y);}}var TeX=',10,'TeX;var a=','jsMath.Typeset.','TeX(',101,').axis_height;var _1df',109,'h-a,d+a);var H',109,'Math.floor(','TeX.integer','*_1df/500)*TeX.delimiterfactor,',123,'*(2*_1df-TeX.delimitershortfall))/',123,';var left=',4,'[0];var _1e2=',4,'[',4,'.length-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1d6);_1e2.nuc',135,136,'_1e2.right',',_1d6);left.type="open";left','.atom=1;delete ',137,';_1e2.type="close";_1e2',143,141,';},','Typeset',47,'_1e3,size',8,'_1e5=new ',10,149,'(',4,');',33,'_1e5.',149,'(',151,');}});',10,21,10,11,'.prototype.Atomize,{style',47,'_1e6,size,_1e8,prev,_1ea){_1ea.style=_1e8.style;},size',47,'_1eb,size,_1ed,prev,_1ef){_1ef.size=_1ed.size;},phantom',47,'_1f0,size,_1f2){','var box','=_1f2.nuc',135,'Set(','_1f2.phantom',',_1f0',',size);','if(_1f2.h){box','.Remeasured();','box.html','=',10,'HTML.Spacer(','box.w);}else{',185,'="",box.w=0;}if(!_1f2.v){','box.h=box.d=','0;}','box.bd=box.bh=0;delete ',180,';_1f2','.type="box";},','smash',47,'_1f4,size,_1f6){',176,'=_1f6.nuc',135,179,'_1f6.smash',',_1f4,','size).Remeasured();',192,194,205,';_1f6',197,'raise',47,'_1f8,size,_1fa){_1fa.nuc',135,179,'_1fa.nuc,_1f8',',size);var ','y=_1fa.raise;_1fa.nuc.html=',10,'HTML.Place(_1fa.nuc.html,0,y);_1fa.nuc.h+=y;_1fa.nuc.d-=y;_1fa','.type="ord";','_1fa.atom=1;},lap',47,'_1fc,size,_1fe){',176,135,179,'_1fe.nuc,_1fc,',207,'var _200=[box];','if(_1fe.lap=="','llap"){','box.x=-box.w',';}else{',233,'rlap"){_200[1]=','jsMath.mItem.Space','(-',189,233,'ulap"){box.y=box.d;',192,'0',236,233,'dlap"){box.y=-box.h;',192,'0;}}}}_1fe.nuc',135,'SetList(','_200,_1fc',182,233,'ulap"||_1fe.lap=="dlap"){_1fe.nuc.h=_1fe.nuc.d=0;}_1fe.type="box";delete _1fe.atom;},bin',47,'_201,size,_203',',prev){if(prev','&&prev.type',8,'type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',88,'"&&prev.left!="")){_203.type="ord";}}else{_203',84,'jsMath.mList.prototype.Atomize.SupSub(',258,');},rel',47,'_206,size,_208',259,'.type&&prev',82,'prev',84,266,270,');},close',47,'_20a,size,_20c',259,'.type&&prev',82,'prev',84,266,280,');},punct',47,'_20e,size,_210',259,'.type&&prev',82,'prev',84,266,290,');},open',47,'_212,size,_214','){',266,300,');},inner',47,'_215,size,_217','){',266,306,');},','vcenter',47,'_218,size,_21a','){',176,135,179,'_21a.nuc,_218',219,'TeX=',115,'TeX(_218',182,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_21a.nuc=box;_21a',223,266,313,');},','overline',47,'_21d,size,_21f',8,'TeX=',115,'TeX(_21d',219,'box',135,179,'_21f.nuc',',',115,'PrimeStyle','(_21d),',207,'var t=','TeX.default_rule_thickness',';var rule',135,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',342,135,'SetList([box,','rule],_21d',182,342,'.h+=t;_21f',223,266,333,');},','underline',47,'_224,size,_226',8,'TeX=',115,'TeX(_224',219,'box',135,179,'_226.nuc',',',115,345,'(_224),',207,348,349,';var rule',135,352,'=-box.d-3*t-t;',376,135,356,'rule],_224',182,376,'.d+=t;_226',223,266,367,');},radical',47,'_22b,size,_22d',8,'TeX=',115,'TeX(_22b',219,'Cp=',115,345,'(_22b);',176,135,179,'_22d.nuc,Cp,',207,348,349,';var p=t;if(_22b=="D"||_22b=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',135,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_22b,1);if(surd.d>',420,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',135,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;',235,';var Cr=',115,'UpStyle(',115,429,'_22b));var root',135,179,'_22d.root||null,Cr,',207,'if(_22d.root){root.y=0.55*(',420,'+3*t+r)-box.d;surd.x',109,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_22d.nuc',135,'SetList([','surd,root,rule,box],_22b',182,'_22d',223,266,400,');},accent',47,'_238,size',',_23a',8,'TeX=',115,'TeX(_238',219,'Cp=',115,345,'(_238);',176,135,179,'_23a.nuc',',Cp',219,'u=box.w;var s;var Font;if(_23a.','nuc.type=="TeX','"){Font=',10,'TeX[',466,'.font];if(','Font[_23a.nuc.c].krn','&&Font.skewchar){s=',476,'[Font.skewchar];}}if(s==null){s=0;}var c=_23a.accent[2];var font=',10,'TeX.fam[_23a.accent[1]];Font=',10,'TeX[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _243=Math.min(box.h,TeX.','x_height);','if(_23a.',470,'"){var _244=',10,16,'("ord",',466,');_244.sup=_23a.sup;_244.sub=_23a.sub;_244',61,266,452,',_244);_243+=(_244.nuc.h-box.h);box=',466,'=_244.nuc;delete _23a.sup;delete _23a.sub;}var acc',135,'TeX(c,font,',452,');acc.y=box.h-_243;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',466,135,356,'acc],',452,');if(',466,'.w!=box.w',8,'_246=',239,'(box.w-',466,'.w);',466,135,443,466,',_246],',452,');}_23a',223,266,452,',_23a);},op',47,'_247,size,_249',8,'TeX=',115,'TeX(_247',219,'box;_249',61,'var isD=(_247','.charAt(0)=="','D");if','(_249.limits','==null&&isD){_249.limits=1;}if(_249.',470,'"){var C=',10,'TeX[_249.nuc.font][','_249.nuc','.c];if(isD&&C.n){',546,'.c=C.n;C=',10,545,'C.n];}box',135,'Set(_249.nuc,_247,size',');if(C.ic){_249','.delta=C.ic*TeX.scale;if',540,'||!_249.sub||',10,'Browser.msieIntegralBug','){box',135,356,239,'(_249.delta)],','_247,size);}}','box.y=-((',420,')/2-box.d-',325,');if(Math.abs(box.y)<0.0001){box.y=0;}}if(!box){box',135,554,').Remeasured();}if',540,8,'W=box.w;var x=box.w;var _250=[box];var dh=0;var dd=0;if(_249.sup',8,'sup',135,179,'_249.sup,',115,429,'_247),',207,'sup.x=((box.w-sup.w)/2+','_249.delta/2)-x;','dh=TeX.big_op_spacing5;W',109,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);','_250[_250.length]=','sup;delete _249.sup;}if(_249.sub',8,'sub',135,179,'_249.sub,',115,'DownStyle','(_247),',207,'sub.x=((box.w-sub.w)/2-',588,'dd=TeX.big_op_spacing5;W',109,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);',592,'sub;delete _249.sub;}if(W>box.w){box.x=(W-box.w)/2;x+=box.x;}if(x<W){',592,239,'(W-x);}',546,135,252,'_250,_247',182,546,'.h+=dh;',546,'.d+=dd;}',71,10,560,'&&_249.sub&&C&&C.ic){',546,135,356,10,'Box.Space','(-C.ic*TeX.scale)],_247,size);}',71,'box.y){',546,135,443,'box],',566,266,529,98,'ord',47,'_255,size,_257',',prev,_259,i){if(_257.',470,'"&&!_257.sup&&!_257.sub',8,'_25b=','_259.mlist[','i+1];if(_25b&&_25b.atom&&_25b.type&&(_25b.type=="ord','"||_25b.type=="','op',652,'bin',652,'rel',652,'open',652,'close',652,'punct")){if(_25b.',470,'"&&_25b.nuc.font==_257.nuc.font){_257.textsymbol=1;var krn=',10,'TeX[_257.nuc.font][_257.nuc.c].krn;krn*=',115,'TeX(_255,size).scale;if(krn&&krn[_25b.nuc.c]){for(var k=_259.mlist.length-1;k>i;k--){',650,'k+1]=',650,'k];}',650,'i+1]=',239,'(krn[_25b.nuc.c]);}}}}',266,644,');},fraction',47,'_25e,size,_260',8,'TeX=',115,'TeX(_25e',219,'t=0;if(_260.thickness!=null){t=_260.thickness;}',71,'_260.from.match(/over/)){t=',349,';}}var isD=(_25e',538,'D");var Cn=(_25e=="D")?"T":(_25e=="D\'")?"T\'":',115,429,'_25e);var Cd=(isD)?"T\'":',115,600,'(_25e);var num',135,179,'_260.num,Cn,',207,'var den',135,179,'_260.den,Cd,',207,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _26c=[',10,'Box.',136,'_260.left,_25e)];var _26d',135,136,'_260.right,_25e);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_26c[1]=num;_26c[2]=den',236,'den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_26c[1]=den;_26c[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1',236,'u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0',8,'p=(isD)?7*',349,':3*',349,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t;var a=',325,727,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',728,'v+=p-r;}var rule',135,'Rule(w,t);rule.x=-w;rule.y=a-t/2',';_26c[_26c.length]=','rule;}num.y=u;den.y=-v',737,'_26d;_260.nuc',135,252,'_26c,_25e',182,'_260',223,'_260',143,'_260.num;delete _260.den;',266,682,');},SupSub',47,'_274,size,_276',8,'TeX=',115,'TeX(_274',219,'nuc=','_276.nuc',';',176,'=',761,135,179,761,',_274,size,0);if(box.format=="null"){box=',761,135,'Text("","normal",','_274,size);}','if(',470,'"){if(!_276.textsymbol',8,'C=',10,'TeX[nuc.font][nuc.c];if(C.ic){_276',556,'(!_276.sub){','box=',761,135,356,10,630,'(','_276.delta',')],_274',182,790,'=0;}}}else{',790,'=0;}}if(!_276.sup&&!_276.sub){return;}',761,'.Styled();var Cd=',115,600,'(_274);var Cu=',115,429,'_274);var q=',115,'TeX(Cu,size).','sup_drop;var r=',115,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(_276.sub',8,'sub',135,179,'_276.sub,Cd',182,'sub',135,443,'sub,',239,'(TeX.scriptspace)],_274,size',');}if(!_276.sup){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',115,809,484,761,135,356,'sub],_274,size).Styled();','delete _276.','sub;return;}var sup',135,179,'_276.sup,Cu',182,'sup',135,443,'sup,',239,822,');if(_274=="D"){p=TeX.sup1;}',71,'_274','.charAt(','_274','.length-1)=="\'"){','p=TeX.sup3',236,'p=TeX.sup2;}}u',109,'u,p,sup.d+',115,806,'x_height/4);if',782,'sup.y=u;',761,135,356,'sup],_274',182,831,'sup;return;}v',109,'v,',115,809,'sub2);',348,349,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',184,'sub',184,858,'sub.y=-v;sup.x=',790,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',761,135,356,'sub,sup],',773,'else{sub.x-=(sup.w+sup.x);',761,135,356,'sup,sub],',773,831,'sup;',831,'sub;}});',10,149,'=function(_285){',2,'type="typeset";',4,'=_285;};',10,21,10,149,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle',':{D:"S\'",T:"S\'","',908,'\'",SS:"SS\'","',910,'UpStyle',47,'_286){',33,2,'upStyle[_286];},',600,47,'_287){',33,2,911,'[_287];},',345,47,'_288){if(_288',846,'_288',848,33,'_288;}',33,'_288+"\'";},StyleValue',47,'_289,v){if(_289=="S"||_289=="S\'"){',33,'0.7*v;}if(_289=="SS"||_289=="SS\'"){',33,'0.5*v;}',33,'v;},StyleSize',47,'_28b,size){if(_28b=="S"||_28b=="S','\'"){size=Math.max(0,size-','2);}',71,'_28b=="SS','"||',952,949,'4);}}',33,'size;},TeX',47,'_28d,size){if(_28d=="S"||_28d=="S',949,'2);}',71,'_28d=="SS','"||',964,949,956,33,10,'TeXparams[size];},AddStyle',47,'_28f,size,html){if(_28f=="S"||_28f=="S',949,'2);}',71,'_28f=="SS','"||',977,949,956,'if(size!=4){html="<span class=\\"size"+size+"\\">"+','html+"</span>";}',33,'html;},AddClass',47,'_292,html){if(_292!=""&&_292!="normal"){html=',10,'HTML.Class(_292,html);}',33,'html;}});',10,'Package(',10,149,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',997,'punct',999,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',999,',bin:2,rel:3,open',1005,'}},SSsep:{ord:{op:1},op',999,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',47,'l,r,_296){if(l&&l.atom&&r.atom',8,'_297=',2,'DTsep;if(_296',538,'S"){_297=',2,'SSsep;}var row=_297[l.type];if(row&&row[r.type]!=null){',33,10,'TeX[',2,'sepW[row[r.type]]];}}',33,'0;},',149,47,'_299,size){',51,'=_299;',2,54,'var _29b=-10000;',2,'w=0;',2,'h=_29b;',2,'d=_29b;',2,'bh=',2,'h;',2,'bd=',2,'d;',2,'tbuf="";',2,'tx=0;',2,'tclass','="";',2,'cbuf="";',2,'hbuf="";',2,'hx=0;var _29c=null;var prev;',2,'x=0;',2,'dx=0;for(var i=0;i<',4,57,'prev=_29c;_29c=',4,'[i];switch(_29c.type){case "size":','this.FlushClassed();',2,'size=_29c.size;','_29c=prev;break;case "','style":',1075,'if(',51,846,51,848,51,'=_29c.style','+"\'";}else{',51,1087,';}',1078,'space":if(typeof (_29c.w)=="object"){if(',51,846,'1)=="','S"){_29c.w=0.','5*','_29c.w[0]/18',';}',71,51,538,1097,'7*',1099,236,'_29c.w=',1099,';}}}',2,'dx+=_29c.w-0;',1078,'html":',1075,'if(this.hbuf==""){this.hx=this.','x;}',2,'hbuf+=','_29c.html;_29c=prev;break;default:if(!_29c.atom&&_29c.type!="box"){break;}','_29c.nuc.','x+=',2,'dx+',2,1013,'(prev,_29c,',51,');if(',1121,'y||',1121,'x){',1121,'Styled();}',2,'dx=0;',2,'x=',2,'x+',2,'w;',2,'w+=',1121,'w+',1121,'x;if(',1121,'format=="text"){if(',2,1058,'!=',1121,1058,'&&',2,1058,'!=""){',2,'FlushText','();}if(',2,'tbuf==""&&',2,'cbuf==""){',2,'tx=',2,'x;}',2,'tbuf+=',1121,'html;',2,1058,'=',1121,1058,236,1075,'if(',1121,'x||',1121,'y){',2,'Place(_29c.nuc);}',1116,'x;}',2,1119,1121,'html;}',2,'h',109,2,'h,',1121,'h+',1121,'y);',2,'bh',109,2,'bh,',1121,'bh);',2,'d',109,2,'d,',1121,'d-',1121,'y);',2,'bd',109,2,'bd,',1121,'bd);break;}}',1075,'if(',2,'dx){',2,1119,10,188,2,'dx);',2,'w+=',2,'dx;}if(',2,'hbuf==""){',33,10,'Box.Null;}if(',2,'h==_29b){',2,'h=0;}if(',2,'d==_29b){',2,'d=0;}',176,'=new ',10,'Box("html",',2,'hbuf,',2,'w,',2,'h,',2,'d);box.bh=',2,'bh;box.bd=',2,'bd;',33,'box;},',1162,37,'if(',2,'tbuf','==""){return;}',2,'cbuf+=',115,'AddClass(',2,1058,',',2,'tbuf);',2,'tbuf="";',2,1058,'="";},FlushClassed',37,2,1162,'();if(',2,'cbuf',1278,1116,'tx;}',2,1119,115,'AddStyle(',51,',',2,'size,',2,'cbuf);',2,'cbuf="";},Place',47,'item',8,'html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',10,'HTML.Em(item.x)+";";}if(item.y){html+=" top:"+',10,'HTML.Em(-item.y',')+";";}item.html=html+"\\">"+item.html+"</span>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',47,'item){if(item.y){item.',1317,'; "+"top:"+',10,1322,')+";"+"\\">"+item.',983,'if(item.x){item.html=',10,188,'item.x)+item.',1195,1324,';}});',10,'Parse','=function(s,font,size,','_2a6',8,'_2a7=new ',10,'Parser','(s,font,size,_2a6);_2a7.Parse();',33,'_2a7;};',10,1348,1343,'_2ab){',2,'string=s;',2,'i=0;',4,'=new ',10,11,'(null,font,size,_2ab);};',10,'Package(',10,1348,',{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1370,'r',1370,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1382,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1382,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1380,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1390,'T"],scriptstyle',1390,'S"],scriptscriptstyle',1390,'SS"],rm',':["HandleFont",','0],mit',1398,'1],oldstyle',1398,'1],cal',1398,'2],it',1398,'4],bf',1398,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1412,'arctan',1412,'arg',1412,'cos',1412,'cosh',1412,'cot',1412,'coth',1412,'csc',1412,'deg',1412,'det',':"NamedOp",','dim',1412,'exp',1412,'gcd',1432,'hom',1412,'inf',1432,'ker',1412,'lg',1412,'lim',1432,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1450,'sup"],ln',1412,'log',1412,'max',1432,'min',1432,'Pr',1432,'sec',1412,'sin',1412,'sinh',1412,'sup',1432,'tan',1412,'tanh',1412,311,':["HandleAtom","',311,'"],',331,1476,331,'"],',365,1476,365,'"],over',':"HandleOver",','overwithdelims',1487,'atop',1487,'atopwithdelims',1487,'above',1487,'abovewithdelims',1487,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1499,'","[","]"],choose',1499,'","(",")"],overbrace',1410,'leaders"],','underbrace',1410,1506,'overrightarrow',1410,1506,'overleftarrow',1410,1506,'overset',1410,'underset-overset"],','underset',1410,1518,'llap',':"HandleLap",','rlap',1523,'ulap',1523,'dlap',1523,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1531,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1535,'not="],neq',1535,'not="],notin',1535,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1535,1542,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1535,'mathbin{\\\\rm mod}"],pmod',1535,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1535,'ointop\\\\nolimits"],doteq',1535,'buildrel\\\\textstyle.\\\\over="],ldots',1535,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1535,1558,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1535,1558,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1535,1558,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1535,1542,'kern-4mu}"],relbar',1535,1542,'smash-}"],','Relbar',1535,1547,'="],bowtie',1535,1547,'\\\\',1376,'\\\\joinrel\\\\',1547,'\\\\triangleleft"],models',1535,1547,'|\\\\joinrel="],mapsto',1535,'mapstochar\\\\','rightarrow"],rightleftharpoons',1535,311,'{\\\\',1542,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1378,'}"],hookrightarrow',1535,'lhook\\\\','joinrel\\\\rightarrow"],','hookleftarrow',1535,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1535,1575,1583,'Rightarrow"],','longrightarrow',1535,'relbar\\\\',1601,'longleftarrow',1535,1604,'relbar"],Longleftarrow',1535,'Leftarrow\\\\joinrel\\\\',1575,'"],longmapsto',1535,1590,'char{cmsy10}{0}\\\\',1601,'longleftrightarrow',1535,'leftarrow\\\\',1601,'Longleftrightarrow',1535,1619,1609,'iff:["Macro","\\\\;\\\\',1630,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1637,'rm #1}",1],mathbf',1637,'bf #1}",1],','mathbb',1637,1642,'mathit',1637,'it #1}",1],textrm',1535,'mathord{\\\\hbox{#1}}",1],','textit',1535,'mathord{\\\\class{',1651,'}{\\\\hbox{#1}}}",1],','textbf',1535,1653,1656,1655,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1662,'ord",1.15],bigg',1662,'ord",1.45],Bigg',1662,'ord",1.75],bigl',1662,'open",0.85],Bigl',1662,'open",1.','15],biggl',1662,1673,'45],Biggl',1662,1673,'75],bigr',1662,'close",0.85],Bigr',1662,'close",1.','15],biggr',1662,1684,'45],Biggr',1662,1684,'75],bigm',1662,'rel",0.85],Bigm',1662,'rel",1.15],biggm',1662,'rel",1.45],Biggm',1662,'rel",1.75],mathord',1476,'ord"],mathop',1476,'op"],mathopen',1476,'open"],mathclose',1476,'close"],mathbin',1476,'bin"],',1547,1476,'rel"],mathpunct',1476,'punct"],mathinner',1476,'inner"],','mathchoice',1410,1717,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1410,'fbox"],strut:"Strut",mathstrut',1535,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1725,'18]],ddot',1725,'127]],tilde',1725,'126]],bar',1725,'22]],breve',1725,'21]],check',1725,'20]],hat',1725,'94]],vec',':["MathAccent",[0,','1,126]],dot',1725,'95]],widetilde',1741,'3,101]],widehat',1741,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1749,'","&nbsp;","normal"],angle:["',1749,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1755,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",noalign:"HandleNoAlign",eqalignno',1755,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1755,1760,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1765,'1],scriptsize',1765,'2],small',1765,'3],normalsize',1765,'4],large',1765,'5],Large',1765,'6],LARGE',1765,'7],huge',1765,'8],Huge',1765,'9],dots',1535,'ldots"],newcomma'],
  ['nd:["','Extension','","newcommand"],','def:["',1,2,'color:["',1,'","HTML"],','href:["',1,'","HTML"],"class":["',1,8,'style:["',1,8,'cssId:["',1,8,'unicode:["',1,8,'bbox:["',1,'","bbox"],require:"','Require','","char":"Char"},','environments',':{array:"Array",','matrix',':["Array",null,null,"','c"],pmatrix',':["Array','","(",")","c"],bmatrix',33,'","[","]","c"],Bmatrix',33,'","\\\\{","\\\\}","c"],vmatrix',33,'","\\\\vert","\\\\vert","c"],Vmatrix',33,'","\\\\Vert","\\\\Vert","c"],cases',33,'","\\\\{",".","ll",null,2],eqnarray',31,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',50,'[id]]=obj[id];}},Error',47,'(s){this.i','=this.','string','.length;','if(s','.error){','this.error','=s.error;}else{if(!this',60,61,'=s;}}},nextIsSpace',47,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',47,'(text){','if(typeof (','text)!="string"){',68,'text;}',68,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',47,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',60,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',99,100,'1',84,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',112,'TeX")){',68,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',47,'(){var ','_2b3=/^([a-z]+|.) ?/i;var cmd=_2b3.exec(','this.string.slice(','this.i));','if(cmd){this.i+=cmd[1].length;',68,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2b6){','while','(this.nextIsSpace()){this.i','++;}if(this.i>=','this.string','.length){','if(!',132,'this.Error("','Missing',' argument for "+name);}',99,'if(',69,')==this.','close){if(!',132,140,'Extra close brace','");}',99,'if(',69,146,'cmd){',127,68,'this.cmd+','this.',118,'();}if(',69,')!=this.open','){return ',69,'++);}var j','=++this.i;var ','_2b8=1;var c="";',133,'(this.i<this.string.length){','c=',69,'++);','if(c==this.cmd){','this.i','++;}else{if(c','==this.open){_2b8',177,'==this.close){if(_2b8==0){',140,150,'");',99,'if(--_2b8==0',165,122,'j,this.i-1);}}}}}',140,'Missing close brace','");return',' null;},ProcessArg',130,'){var arg=this.',129,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',130,194,129,'(',197,198,199,'if(arg.charAt(0',146,'cmd',84,'_2be=arg.substr(1);if(_2be=="frac"){arg+="{"+this.',129,'(_2be)+"}";',198,199,'arg+="{"+this.',129,'(_2be)+"}";',198,' null;}}else{if(_2be','=="sqrt"){arg+="["+this.','GetBrackets','(_2be)+"]";',198,199,'arg+="{"+this.',129,'(_2be)+"}";',198,222,'.match(this.scriptargs)){arg+="{"+this.',129,'(_2be)+"}";',198,' null;}}}}}',200,'GetDelimiter',130,'){',133,134,'++;}var ','c=',69,');if',171,127,175,'c="\\\\"+this.',118,'(',197,198,' null;}}','if(','this.delimiter[','c]!=null',165,258,'c];}}',140,141,' or unrecognized delimiter for "+','name);return null;},','GetDimen',130,',nomu',84,'rest;var _2c4=0;if',134,'++;}if(',69,')=="{"){rest',56,129,'(name);}else{rest=',122,'this.i);_2c4=1;}',68,'this.','ParseDimen','(rest,name,_2c4,nomu);},',283,47,'(_2c5,name,_2c7,nomu',84,'_2c9=_2c5.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2c9){',140,141,' dimension or its units for "+',197,99,'if(_2c7){this.i+=_2c9[0].length;if',134,'++;}}var d=_2c9[1]-0;if(_2c9[4]=="px"){d/=',89,'em',';}else{if(_2c9[4]=="','pt"){d/=10',300,'ex"){d*=','jsMath.TeX.','x_height',300,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',68,'d;},GetNext',47,'(){',133,134,'++;}',68,69,');},',224,130,84,'c',56,'GetNext();if(c','!="["){return "";}var _2cd',168,'_2ce=0;',133,171,'var c=',69,'++);if(c=="{"){','_2ce',177,'=="}"){if(','_2ce==0){',140,150,' while looking for',' \']\'");',99,'_2ce--;}else{',175,'this.i',177,'=="]"){if(_2ce==0',165,122,'_2cd,this.i-1);}}}}}}',140,'Couldn\'t find',' closing \']\' for argument to "+',159,266,'GetUpto',130,',_2d1){',133,134,244,'_2d2',56,'i;var _2d3=0;',133,171,'var c=',69,331,'_2d3',177,334,'_2d3==0){',140,150,338,' "+',159,'_2d1);',99,'_2d3--;}else{',175,'if(',122,'this.i,this.i+','5)=="begin"){_2d3++;this.i+=4;}else{if(',122,383,'3)=="end"){if(_2d3>0){_2d3--;this.i+=2;}}}if(',371,'if(',122,383,'_2d1.length)==_2d1){c=',69,'+_2d1.length);if(c.match(/[^a-z]/i)||!_2d1.match(/[a-z]/i)){var arg=',122,'_2d2,this.i-1);this.i+=_2d1',58,68,'arg;}}}this.i++;}}}}',140,350,' "+',159,'_2d1+" for "+',266,'ProcessUpto',130,',_2d7',194,354,'(name,_2d7);',198,199,200,'GetEnd',47,'(env',84,'body="";var name="";',133,'(name!=env){body+=this.',354,'("begin{"+env+"}","end");',198,199,'name',56,129,'(this.cmd+"','end");',198,256,68,'body;},Space',47,'(){},','Prime',47,'(c',84,'base=',86,108,'(base==null||(!base',110,'base.type!="','box"&&',446,'frac")){',441,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',140,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',133,'(c=="\'"){sup+=this.cmd+"prime";c',56,323,'=="\'"){this.i++;}}base.sup',56,81,'(sup);','base.sup.isPrime','=1;},RaiseLower',130,84,'h','=this.GetDimen(this.cmd+name',',1);',198,457,'box',56,201,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',86,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',130,84,'x',472,473,198,457,'box','=this.ProcessArg',479,480,'moveleft"){x=-x;}',451,'Space(x));',451,'Atom("ord",box));',451,'Space(-x));},',26,130,84,'file',56,129,479,';}file=',89,1,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',1,'(null,[','file]);},',1,130,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',50,'[data[1]||"macros"][name];}',89,1,'.',26,'(data[0],',525,'.asynchronous',');throw "restart";},Frac',130,84,'num',493,479,457,'den',493,479,';}',451,'Fraction("over",num,den));},Sqrt',130,84,'n',56,224,479,457,'arg',493,479,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',56,81,'(n);',198,';}}',86,'Add(box);},','Root',130,84,'n',56,406,'(',159,'name,"of");',198,457,'arg',493,479,561,'box.root=n;',86,569,'BuildRel',130,84,'top',56,406,'(',159,'name,"over");',198,457,'bot',493,479,457,'op=',89,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',86,'Add(op);},MakeBig',130,',data){var ','type=data[0];var h=data[1]*',89,'p_height;var _2fc',56,239,479,';}',451,'Atom(type,',89,'Box.Delimiter(h,_2fc,"T")));},Char',130,84,'font',56,129,479,457,'n',56,129,479,';}if(!','jsMath.TeX[font',']){',634,']=[];this.',1,520,'jsMath.Font.URL(font',')]);}else{',451,'Typeset(',89,'Box.TeX(n-0,font,"T",',86,93,')));}},Matrix',130,',_301',84,'data=',86,87,'var arg',56,129,479,457,'_304','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_301[5]||"T");_304.',30,'=name;_304.row=[];_304.table=[];_304.rspacing=[];_304.Parse();if(_304',60,97,'_304);',517,'_304','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_304.table,_301[2]||null,_301[3]||null,_304.rspacing,_301[4]||null);if(_301[0]&&_301[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_301[0]],"T");var _307',672,'_301','[1]],"T");box=jsMath.Box.SetList([left,box,','_307],','data.style,data.size',');}',451,'Atom((_301','[0]?"inner":"ord"),box));},','HandleEntry',130,'){','if(!this.',30,'){',97,'name+" can only appear in a matrix or array");return;}if(',86,'data.openI',527,'var open=',86,'Get(',86,692,');if(open','.left){',140,141,' "+this.cmd+"right','");}else{',140,190,'");}}if(',86,'data.overI',527,86,'Over();}var data=',86,87,86,'Atomize(',678,');var box=',86,643,678,');this.row[','this.row.length',']=box;this.mlist=new ',89,'mList(null,null,',93,94,');},HandleRow',130,',last',84,'_30e;',686,30,'){',97,159,690,'name=="\\\\"){_30e',56,224,479,';}if(_30e){','_30e',56,283,'(_30e,',159,'name,0,1);}}this.',683,'(',197,'if(!last||',723,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',744,'this.rspacing[this.table.length',']=_30e;}this.row=[];},HandleNoAlign',130,194,129,479,457,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',137,'return',457,'d',56,283,'(skip,',159,'RegExp.$1,0',473,198,';}',760,']=(',760,']||0)+d;},Array',130,',_314',84,'_315=_314[2];var _316=_314[3];if(!_315){_315',56,129,429,'begin{"+name+"}");',198,';}}_315=_315.replace(/[^clr]/g,"");_315=_315.split("");var data=',86,87,'var _318=_314[5]||"T";var arg',56,415,'(',197,198,457,'_31a',661,'_318);_31a.',30,'=name;_31a.row=[];_31a.table=[];_31a.rspacing=[];_31a.Parse();if(_31a',60,97,'_31a);',517,'_31a',670,'_31a.table,_315,_316,_31a.rspacing,_314[4]);if(_314[0]&&_314[1]){var left',672,'_314[0]],"T");var _31d',672,'_314',676,'_31d],',678,');}',451,'Atom((_314',682,'Begin',130,84,'env',56,129,479,';}if(env.match(/[^a-z*]/i)){',140,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',686,28,'[env]){',140,'Unknown',836,838,'var cmd',56,28,'[env];',73,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',130,84,'env',56,129,479,';}',97,159,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',130,',w){',451,'Space(w-0));},Hskip',130,84,'w',56,267,479,';}',451,'Space(w));},HBox',130,'){var text=this.',129,479,';}','var box=jsMath.','Box.InternalMath(text,',86,93,');',451,643,'box));},Rule',130,',_32b',84,'w',472,473,198,457,'h',472,473,198,457,'d',472,473,198,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',89,'em,h);}if(h==0||w==0||_32b=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',910,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',910,'Em(-d)+"\\">"+','html+"</span','>";}',451,643,'new ',89,'Box("html",html,w,h-d,d)));},Strut',47,120,'size=',86,93,';',882,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',451,643,'box));},Phantom',130,610,'arg',493,479,';}',86,483,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',130,610,'arg',493,479,';}',86,483,'smash",{smash:arg}));},MathAccent',130,',_339',84,'c',493,479,457,106,89,605,'accent",c);atom.accent=_339[0];',86,'Add(atom);},NamedOp',130,610,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',882,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',86,569,'Limits',130,610,106,86,108,'(!atom||atom.type!="op"){',97,159,'name+" is allowed only on operators',191,';}atom.limits=data[0];},Macro',130,610,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',757,129,479,';}}text',56,'SubstituteArgs','(args,text);}',136,56,'AddArgs(','text,',122,123,'this.i=0;},',996,47,'(args,_34a',84,'text="";var _34c="";var c;var i','=0;while(i<','_34a',137,'c=','_34a.charAt(i','++);',175,'text+=c+',1014,'++);}else{if(c=="#"){c=',1014,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',137,140,'Illegal macro parameter reference");',99,'_34c',56,1000,'this.AddArgs(_34c,text','),args[c-1]);text="";}}else{text+=c;}}}',68,1030,');},AddArgs',47,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',68,'s1+s2;},Replace',130,524,451,'TextAtom',535,'data[1],data[2],data[3]));},Tilde',130,'){',451,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',130,84,'box',493,'();',198,';}box=',86,483,'lap",{nuc:box,lap:name}));},HandleAtom',130,610,'arg',493,479,';}',451,'Atom(data,arg));},HandleMathCode',130,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',47,'(type,font,code){if(type==7&&',86,91,527,'font=',86,91,';}font=',304,'fam[font];if(!',634,']){',634,']=[];this.',1,520,640,')]);}else{',451,'TeXAtom(',304,'atom[type],code,font));}},','HandleVariable',47,'(c',1070,'7,1',',c.charCodeAt(0));},','HandleNumber',47,'(c',1070,'7,0',1100,'HandleOther',47,'(c){',451,1048,'",c,"normal"));},HandleComment',47,120,'c;',133,171,'c=',69,1021,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',130,',_363){',86,'data.style=_363[0];',86,483,'style",{style:_363[0]}));},HandleSize',130,',size){',86,93,'=size[0];',86,483,'size",{size:size[0]}));},HandleFont',130,',font){',86,91,'=font[0];},HandleCS',47,120,'cmd',56,118,'();',198,';}if(this.macros[cmd]){var _369',56,'macros[cmd];',73,'_369',852,'_369=[_369];}this[_369[0]](cmd,_369.slice(1));',517,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1158,']);',517,'if(',258,159,'cmd',1159,'cmd,',258,159,'cmd].slice(0,3));',517,140,'Unknown control sequence \'"+',159,'cmd+"\'");},HandleOpen',47,'(){',86,'Open();},HandleClose',47,'(){if(',86,692,'==null){',140,150,191,457,'open=',86,'Get(',86,692,');if(!open||','open.left',1186,86,'Close();}else{',140,150,' or missing',703,191,';}},HandleLeft',130,84,'left',56,239,479,';}',86,'Open(left);},HandleRight',130,84,'_36e',56,239,479,457,'open=',86,'Get(',86,692,699,'&&',1197,527,86,'Close(_36e);}else{',140,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',130,524,'if(',86,709,527,140,'Ambiguous use of "+',159,197,517,86,709,'=',86,'Length();',86,'data.overF={name:name};if(data.length>0){',86,'data.overF.','left=',258,'data[0]];',86,1255,'right=',258,'data[1]];}else{if(name.match(/withdelims$/)){',86,1255,'left',56,239,479,';}',86,1255,'right',56,239,479,';}}else{',86,1255,'left=null;',86,1255,1261,'null;}}if(name.match(/^above/)){',86,1255,'thickness',472,473,198,1277,86,1255,'thickness=null;}},HandleSuperscript',47,120,441,86,108,'(base==null||(!base',110,446,'box"&&',446,'frac")){',441,451,452,453,'if(',467,'){',441,451,452,'else{',140,'Double exponent',456,';}}base.sup',56,201,'("superscript");',198,';}},HandleSubscript',47,120,441,86,108,'(base==null||(!base',110,446,'box"&&',446,'frac")){',441,451,452,'if(base.sub){',140,'Double subscripts',456,';}base.sub',56,201,'("subscript");',198,';}},Parse',47,120,'c;',133,171,'c=',69,1021,'this.mathchar[c',1159,'c,',1358,']);}else{if(this',51,'c]){this[this',51,'c]](c',');}else{if(','this.letter','.test(c)){this.',1095,'(c',1367,'this.number',1369,1101,'(c);}else{this.',1107,'(c);}}}}}if(',86,692,527,'var open=',86,'Get(',86,692,699,'.left){',140,141,703,704,140,190,'");}}if(',86,709,527,86,'Over();}},Atomize',47,120,'data=',86,'init;if(!this',60,86,716,678,');}},Typeset',47,120,'data=',86,'init;var box',56,'typeset=',86,643,678,');',198,' "<span class=\\"error\\">"+',61,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _379=0;var _37a','=0;if(box.bh>','box.h&&box.bh>',89,'h','+0.001){_379=1;}if(box.','bd>box.d&&box.bd>',89,'d',1430,'h>',89,'h||box.d>',89,'d){_37a=1',457,'html=box.html;if(_379){if(','jsMath.Browser.','allowAbsolute',84,'y',1426,89,'h+0.001){y=',89,'h-box.bh;}html=',910,'Absolute(html,box.w,',89,'h,0,y,',89,'h',1367,1442,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',918,'>";}else{var dy=',910,'Em(Math.max(0,box.bd-',89,'hd)/3);',1460,')+";"+" position:relative; top:"+dy+"; ',915,'dy+"\\">"+',918,'>";}}_37a=1;}if(_37a){html+=',910,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',918,'></nobr>";}});',50,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',130,84,'_37f=',50,'.macros;','_37f','[name]=["','Macro"];for(var i=1;i<arguments',58,'i++){_37f[name][_37f[name].length]=arguments[i];}}});',89,1,'={safeRequire:1,Macro',130,',file',84,'_383=',50,1486,'if(file',1186,'file=name;}_383',1488,1,'",file];},LaTeX',47,'(env,file',84,'_386=',50,'.',28,';_386[env]=["',1,'",file,"',28,'"];},Font',130,1138,'if(font',1186,'font=name+"10";}var _389=',50,1486,'_389',1488,1,'",',640,')];},MathChar',47,'(font,defs',84,'fam=',304,'famName[font','];if(fam',1186,1535,304,'fam',58,304,'fam[fam]=font;',304,1537,']=fam',457,'_38d=',50,'.mathchardef;for(var c in defs){_38d[c]=[defs[c][0],fam,defs[c][1]];}},',26,47,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',89,'root.length)!=',89,'root))){',514,515,']=1;',517,514,'Script(this.URL(file),show);},URL',47,'(file){file=file',79,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',68,'file;}};',1480,81,47,48,514,'Body();','jsMath.Script.','Push(',525,',"','Asynchronous','",obj);},ProcessBeforeShowing',47,48,514,1577,'var _394=(','jsMath.Controls.cookie.','asynch?"',1582,'":"','Synchronous','");',1578,1579,525,',_394,obj);}});',525,'={element:[],cancel:0,Parse',47,'(_395,s,_397',84,'_398=',89,'Global.','cache[_395];if(!','_398[jsMath.em',']){',1608,']={};}var HTML=',1608,'][s];if(!HTML||_397',84,'_39a=',89,'Parse(s,null,null,_395);_39a.Atomize();HTML=_39a.Typeset();if(!_397){',1608,'][s]=HTML;}}',68,'HTML;},TextMode',47,'(s,_39c){this.Parse("T",s,_39c);},DisplayMode',47,'(s,_39e){this.Parse("D",s,_39e);},','GetElementText',47,'(_39f',878,'recursiveElementText','(_39f);_39f.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1632,'gt;/g,">");',1632,'quot;/g,"\\"");',1632,'amp;/g,"&");}',68,'text;},',1630,47,'(_3a1){if(','_3a1.nodeValue','!=null',165,1645,';}if(','_3a1.childNodes','.length==0){return " ";}var text="";',989,1650,58,'i++){text+=this.',1630,'(',1650,'[i]);}',68,1641,'ResetHidden',47,'(_3a4){_3a4.innerHTML',914,'visibility: hidden; position:absolute; top:0px;left:0px;\\"></span>"+',1442,'operaHiddenFix;_3a4.className="";',89,'hidden=_3a4.firstChild;if(!',89,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',89,'ReInit();},','ConvertText',47,'(_3a5,_3a6',878,1626,'(_3a5',');this.ResetHidden(','_3a5',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3a6','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3a6);_3a5','.className="typeset";','_3a5','.innerHTML=text;},','ConvertDisplay',47,'(_3a8,_3a9',878,1626,'(_3a8',1683,'_3a8',1685,'_3a9',1687,'D",text,_3a9);_3a8',1689,'_3a8',1691,'ProcessElement',47,'(_3ab){','this.restart','=0;var _3ac=(','_3ab.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3ab.tagName.toLowerCase()=="','div"){this.',1692,'(_3ab,_3ac);_3ab.onclick=jsMath.Click.CheckClick;_3ab.ondblclick=jsMath.Click.CheckDblClick',';}else',1714,'span"){this.',1677,1717,';}}}catch(err){if(_3ab.alt',84,'tex=_3ab.alt;','tex=tex.replace','(/&/g,"&amp;");',1726,'(/</g,"&lt;");',1726,'(/>/g,"&gt;");_3ab.innerHTML=tex;',1712,'="math";if(_3ac){',1712,'+=" nocache";}}',1673,';}},','ProcessElements',47,'(k){',1578,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1746,'){','jsMath.Message.','Set("',81,' Math: Canceled");',1752,'Clear();}',1578,1742,'0;',1578,81,'();}else{','this.ProcessElement(this.element[','k]);if(',1710,'){',1578,1579,'this,"',1738,'",k);',1578,1742,'0;setTimeout("',1578,81,'()",',1442,'delay);}else{k++;var p=Math.floor(100*k/',1744,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',525,'.',1738,'("+k+")",',1442,'delay);}}},',1582,47,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1746,'=0;this',537,'=1;',1578,1742,'1;',1783,': 0%",1);setTimeout("',525,'.',1738,'(0)",',1442,'delay);},',1593,47,'(obj,i){if(i==null',1794,'i=0;}this',537,1010,1744,'){',1764,'i]);if(',1710,'){',89,'Synchronize','("',525,'.',1593,'(null,"+i+")");',1578,81,'();',517,'i++;}this.',1748,'(1);},GetMathElements',47,48,'var _3b4=[];if(!obj){obj=','jsMath.document',';}',73,'obj',852,'obj=',1840,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',99,'var math=',1848,'("div','");for(var k=0;k<math.length;k++){if(math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3b4[_3b4.length]=math[k];}}}','math=',1848,'("span',1854,'if(',1442,'renameOK','&&obj','.getElementsByName','){_3b4=obj',1863,'("_jsMath_',704,'if(',89,'hidden','.sourceIndex','){_3b4.sort(function(a,b',165,'a',1871,'-b',1871,';});}}',68,'_3b4;},',1748,47,'(_3ba){if(',1442,1861,84,'_3bb=',1840,1863,1866,'");for(var i=_3bb.length-1;i>=0;i--){_3bb[i].removeAttribute("name");}}',1673,';this.element=[];if(!_3ba){',1783,': Done");',1752,'Clear();}',1752,'UnBlank();if(',1442,'safariImgBug&&(',1589,'font=="symbol"||',1589,'font=="image")){if(','this.timeout','){clearTimeout(',1906,');}',1906,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1912,'(1,0); "+"',525,'.timeout = null",2000);}},Cancel',47,'(){',525,'.cancel=1;if(',1578,'cancelTimer){',1578,'cancelLoad();}}};',1480,'ConvertTeX',47,'(_3bd){',1578,'Push(jsMath.tex2math,"',1927,'",_3bd);},','ConvertTeX2',47,'(_3be){',1578,1931,1934,'",_3be);},','ConvertLaTeX',47,'(_3bf){',1578,1931,1941,'",_3bf);},','ConvertCustom',47,'(_3c0){',1578,1931,1948,'",_3c0);},','CustomSearch',47,'(om,cm,od,cd','){',1578,1579,'null,function(){',89,'tex2math.',1955,1957,');});},tex2math:{',1927,47,436,1934,47,436,1941,47,436,1948,47,436,1955,47,'(){}}});',89,1824,'=',1578,1824,';try{if(','window.parent','!=window&&window.jsMathAutoload){',1988,'.jsMath=jsMath;',1840,'=',1988,'.document;',89,'window=',1988,';}}catch(err){}',89,1606,'Register();',89,'Loaded();',89,'Controls.GetCookie();',514,'Source();',89,1606,'Init();',1578,'Init();',514,'Fonts();if(',1840,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
